﻿init offset = -1
    
define gui.choice_button_width = 658
define gui.choice_button_height = None
define gui.choice_button_tile = False
define gui.choice_button_borders = Borders(200, 5, 84, 5)
define gui.choice_button_text_font = gui.text_font
define gui.choice_button_text_size = gui.text_size
define gui.choice_button_text_xalign = 0.5
define gui.choice_button_text_idle_color = "#ffffff"
define gui.choice_button_text_hover_color = "#0099cc"
    
style choice_button is default:
    font gui.adv_font_face
    size gui.adv_font_size * 1.2
    color gui.adv_font_color
    kerning gui.advname_font_kerning * 0.5
    
    text_align 0.0
    bold True

screen choice(items):
    modal False

    fixed:
        at gui_inout
        add "choiceoverlay":
            alpha 0.7

        hbox:
            xcenter 0.5
            yalign 0.3
            spacing 90

            for i in items:
                button:
                    xysize (350, 600) # <-- This! The button was shrunk to its content, despite that its background was bigger. So, you need to specify its size.
                    
                    # paddings are used to move text inside the button from its borders.
                    left_padding 60
                    right_padding 50
                    top_padding 100
                    background "gui/choice/choice_idle_background.png"
                    hover_background "gui/choice/choice_hover_background.png"
                    text i.caption xalign 0.5 style "choice_button_text"
                    hovered Play("system",guisfx_button_hover)
                    action [Play("system",guisfx_button_click),
                           i.action]
                    at choiceappear
        
style choice_button_text is default:
    font gui.adv_font_face
    size gui.adv_font_size 
    color gui.adv_font_color
    kerning gui.advname_font_kerning * 0.5
    
    text_align 0.5
    yalign 0.5 
    bold True
    
##Choice Overlay##

image choiceoverlay = "gui/choice/choice_overlay.png"