﻿init offset = -1

screen confirm(message, yes_action, no_action):

    ## Ensure other screens do not get input while this screen is displayed.
    modal True

    zorder 99999

    style_prefix "confirm"
    
    fixed:
        at gui_inout
        add "gui/confirm/confirm_overlay.png":
            alpha 0.5
        add "gui/confirm/confirm_box.png" xalign 0.5 yalign 0.5
            
        frame:
            xalign 0.5 yoffset 350
            xsize 600 ysize 200
                
            if message == gui.ARE_YOU_SURE:
                text gui.message_confirm style "confirm_prompt_text"
            elif message == gui.DELETE_SAVE:
                text gui.message_deletesave style "confirm_prompt_text"
            elif message == gui.OVERWRITE_SAVE:
                text gui.message_overwrite style "confirm_prompt_text"
            elif message == gui.LOADING:
                text gui.message_load style "confirm_prompt_text"
            elif message == gui.QUIT:
                text gui.message_quit style "confirm_prompt_text"
            elif message == gui.MAIN_MENU:
                text gui.message_mainmenu style "confirm_prompt_text"
            elif message == gui.END_REPLAY:
                text gui.message_replay style "confirm_prompt_text"
            elif message == gui.SLOW_SKIP:
                text gui.message_slowskip style "confirm_prompt_text"
            elif message == gui.FAST_SKIP_SEEN or message == gui.FAST_SKIP_UNSEEN:
                text gui.message_fastskip style "confirm_prompt_text"
            else:
                text _(message) style "confirm_prompt_text"
                
        imagebutton auto "gui/confirm/confirm_no_%s.png":
            action no_action 
            xpos 633 ypos 626 
            focus_mask None 
            at gui_confirmfade
                    
        imagebutton auto "gui/confirm/confirm_yes_%s.png":
            action yes_action 
            xpos 988 ypos 626 
            focus_mask None 
            at gui_confirmfade
                        
    ## Right-click and escape answer "no".
    key "game_menu" action no_action

style confirm_prompt_text:
    font gui.adv_font_face
    size 50
    color gui.adv_font_color
    text_align 0.5
    xalign 0.5 yalign 0.5

style confirm_button_text:
    font gui.adv_font_face
    size gui.adv_font_size
    color gui.adv_font_color
    bold True
    
    yalign 0.5 yoffset -1