﻿define gui.notify_frame_borders = Borders(24, 8, 60, 8)

style notifytext:
    font gui.advname_font_face
    color Color(color=gui.advname_font_color)

screen notify(message):
    zorder 100
    timer 3.25 action Hide('notify')

    frame at _notify_transform:
        background Frame("gui/notify.png", gui.notify_frame_borders, 5)
        padding gui.notify_frame_borders.padding
        text message style "notifytext" at _notify_transform
        
    timer 3.25 action Hide('notify')

transform _notify_transform:
    yalign .015
    on show:
        alpha 0
        linear .25 alpha 1.0
    on hide:
        linear .5 alpha 0.0
        