﻿init offset = -1

screen pause_menu(fromPause=False):
    
    tag menu
    key "game_menu" action Return()
    
    fixed:
        if not fromPause:
            at gui_fullinout
        else:
            at gui_fullinout
            
        add "gui/pause/pause_overlay.png":
            alpha 0.5
        
        use exit_button
            
        imagebutton auto "gui/pause/pause_history_%s.png" xpos 640 ypos 34 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_click),
                    ShowMenu('history',fromPause=True)]
            at gui_confirmfade
                    
        imagebutton auto "gui/pause/pause_load_%s.png" xpos 726 ypos 323 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_click),
                    ShowMenu('load',fromPause=True)]
            at gui_confirmfade
                
        imagebutton auto "gui/pause/pause_save_%s.png" xpos 670 ypos 180 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_click),
                    ShowMenu('save',fromPause=True)]
            at gui_confirmfade
                
        imagebutton auto "gui/pause/pause_settings_%s.png" xpos 706 ypos 480 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_click),
                    ShowMenu('settings',fromPause=True)]
            at gui_confirmfade
                    
        imagebutton auto "gui/pause/pause_quit_%s.png" xpos 815 ypos 724 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_warn),
                    Quit(confirm=True)]
            at gui_confirmfade
            
        imagebutton auto "gui/pause/pause_mainmenu_%s.png" xpos 662 ypos 597 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_warn),
                    MainMenu(confirm=True)]
            at gui_confirmfade
                    
        imagebutton auto "gui/pause/pause_extras_%s.png" xpos 678 ypos 850 focus_mask True:
            hovered [Play("system",guisfx_button_hover)]
            action [Play("system",guisfx_button_warn),
                    ShowMenu('extras', fromPause=True)]
            at gui_confirmfade
        
        add "gui/pause/pause_needle_effect.png"