﻿label alister_choice:
    
    $ alister_end = 0
    
    if persistent.dollmakerachieve >= 3:
        hide selection_bg
        hide selection_idle
        hide selection_dollmaker
        with dissolve
    else:
        hide selection_bg
        hide selection_idle
        with dissolve
    
    show bg shop closing onlayer back
    show dollmaker onlayer front
    with fade
    
    show dollmaker screwedup smile normal onlayer front
    with dissolve
    
    D "I think I will sell it to Alister, since he does seem to like the doll quite a bit."
    
    show alister squint smile onlayer front
    hide dollmaker onlayer front
    with dissolve

    "Alister smiled, a slow expression of delight."

    show evan averted thoughtful at left onlayer front
    with dissolve

    "Evan huffed, looking away in an attempt to appear uninterested."
    
    hide evan onlayer front
    show dylan thoughtful at right onlayer front
    with dissolve

    "Dylan was obviously disappointed as well, but he didn't say anything."
    
    hide dylan onlayer front
    show alister blink onlayer front
    with dissolve

    a "Thank you, madame."
    
    show alister closed onlayer front
    with dissolve

    a "I promise to provide [name] with the most extensive care."
    
    hide alister blink onlayer front
    show dollmaker halfshut smile normal onlayer front
    with dissolve

    "The Dollmaker turned to the doll in its glass case, still smiling placidly."

    D "Is that alright with you, [name]?"
    
    show dollmaker frown quirked onlayer front
    with dissolve

    "The doll, of course, said nothing, but the Dollmaker simply arched her eyebrow at the doll after a moment."

    D "... Hm."
    
    show dylan quirked at left onlayer front
    show evan quirked at right onlayer front
    show alister quirked onlayer front
    hide dollmaker onlayer front
    with dissolve

    "All Three" "?"

    hide dylan onlayer front
    hide evan onlayer front
    hide alister onlayer front
    show dollmaker screwedup smile normal onlayer front
    show doll at left onlayer front
    with dissolve

    D "... Well, alright."

    "She opened the glass case and held the doll out to Alister with a warm smile, accepting the payment he already had ready."

    if gender == "female":
        D "Take good care of her, please, Alister."
    if gender == "male":
        D "Take good care of him, please, Alister."
    if gender == "nb":
        D "Take good care of them, please, Alister."

    hide dollmaker onlayer front
    show alister smile onlayer front
    with dissolve
    
    if gender == "female":
        "Alister accepted the doll, tucking her in his elbow and giving the Dollmaker another smile."
    if gender == "male":
        "Alister accepted the doll, tucking him in his elbow and giving the Dollmaker another smile."
    if gender == "nb":
        "Alister accepted the doll, tucking them in his elbow and giving the Dollmaker another smile."

    a "Of course, madame Dollmaker."
    
    hide doll onlayer front
    hide alister onlayer front
    with dissolve

    "He left the shop, the bell giving a last jingle as he departed for home, stars glimmering above him."

    show dollmaker onlayer front
    with dissolve

    "There was a short pause, and then Dollmaker glanced at the other two with a warm smile."

    show dollmaker screwedup onlayer front
    with dissolve

    D "If you'd like, I can find you two a different doll that suits your tastes..."
    
    show evan closed thoughtful at left onlayer front
    with dissolve

    e "Hmph."
    
    show evan averted onlayer front
    with dissolve

    e "If you insist."
    
    show dylan smile sad at right onlayer front
    with dissolve

    d "Ye-Yeah... I think- I think that'd be nice..."
    
    hide evan onlayer front
    hide dylan onlayer front
    with dissolve

    "The two boys moved deeper into the shop, although the Dollmaker remained put for a second."

    show dollmaker halfshut sad onlayer front
    with dissolve

    "As they moved deeper inside, her smile changed to a softer, sadder one."

    D "Good luck, [name]..."

    hide bg shop closing onlayer back
    hide dollmaker onlayer front
    show bg street night onlayer back
    show alister onlayer front
    with fade

    "Alister walked home, path lit by stars, the moon, and periodic lampposts."
    
    "He was still holding the doll carefully."

    "[name] watched him."

    "Not the doll, of course; dolls are inanimate, no matter how human or alive they sometimes may appear."
    
    hide bg street night onlayer back
    hide alister onlayer front
    show cga_1 onlayer back
    with dissolve

    "No, the [name] watching him was the spirit inside the doll."

    p_thought "... I didn't want to go home with him."

    p_thought "Why did the Dollmaker insist on selling me to him?"

    p_thought "... even if I do technically owe her a favor for bringing my soul back and giving me a body..."

    p_thought "... Why him?"

    p_thought "Why did it have to be {plain}him{/plain}?"

    p_thought "... I suppose I can't really do anything about it until we get h..."

    p_thought "... to {plain}his{/plain} home."
    
    hide cga_1 onlayer back
    show bg foyer dark onlayer back
    with dissolve

    "The ornate door creaked open slightly, before clicking shut."
    
    hide bg foyer dark onlayer back
    show bg foyer night onlayer back
    with dissolve
    
    "The click seemed to trigger something, because a moment later, every light in the foyer was lit and illuminating a grand entryway."

    hide bg foyer night onlayer back
    show bg living room night onlayer back
    show alister behind player at slightleft onlayer front
    show doll at slightright onlayer front
    with dissolve

    "Alister moved through it with ease into a comfortable-looking living room that somehow didn't look as intimidating as it probably could have been."

    show alister sad onlayer front
    with dissolve
    
    if gender == "female":
        "The aristocrat perched her atop the fireplace mantel, stepping back to admire her."
    if gender == "male":
        "The aristocrat perched him atop the fireplace mantel, stepping back to admire him."
    if gender == "nb":
        "The aristocrat perched them atop the fireplace mantel, stepping back to admire them."
    
    "There was an almost sad look to his eyes."

    show alister halfshut onlayer front
    with dissolve

    a "Well..."
    
    show alister smile sad onlayer front
    with dissolve

    a "Welcome home, I suppose."
    
    show alister at left onlayer front
    show doll at right onlayer front
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p "..."

    $ pmood = 'halfshut'

    p_thought "This place really hasn't changed a bit..."
    
    $ pbrow = 'sad'
    $ pmouth = 'True'
    
    p_thought "... I wonder if he kept my old room."
    
    $ pmood = 'closed'
    $ pbrow = 'thoughtful'
    $ pmouth = 'teeth'
    
    p_thought "Gah, what am I thinking?"
    
    $ pmood = 'True'
    $ pbrow = 'normal'
    $ pmouth = 'True'
    show alister averted frown thoughtful onlayer front
    with dissolve
    
    "Alister glanced at the clock, frowning slightly as he realized the time."

    a "I should get dinner on..."
    
    show alister blink onlayer front
    with dissolve

    "He gave the doll a sidelong look, an almost thoughtful look crossing his features."

    a "I suppose you should be happy here for now..."
    
    show alister blink normal onlayer front
    with dissolve

    a "..."
    
    show alister smile sad onlayer front
    with dissolve

    a "I'll, ah... I'll be back shortly."
    
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    
    p_thought "Sure you will."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    hide alister onlayer front
    hide doll onlayer front
    with dissolve

    "Alister’s heels clicked on the floor as he left, echoing in the house that was empty except for the one living soul that was in it, and the one non-living one watching the living soul."

    p "..."

    p "..."

    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    
    p_thought "... well, this is slightly boring."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p_thought "Perhaps I should have a look around the room."
    
    $ pmood = 'halfshut'
    $ pbrow = 'quirked'
    $ pmouth = 'smile'
    
    p_thought "Can't be more boring than just sitting on the mantel."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p_thought "... maybe some stuff changed."
    
    hide playerghost onlayer front
    with dissolve
    
    $ mantel = False
    
    jump alister_1_search

label alister_1_search:
    
    if mantel == True:
        call screen alister_exploration_1_2
    else:
        call screen alister_exploration_1
    
label alister_1_continue:

    call screen confirm(message="Choosing this option will mean you will not be able to continue exploring.\nContinue anyway?", yes_action=Jump('alister_1_choice'), no_action=Jump('alister_1_search'))
            
label alister_fireplace:
    
    $ mantel = True
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p_thought "... The fire's going right now."
    
    $ pmood = 'closed'
    
    p_thought "I still remember sitting next to this fire."
    
    $ pmouth = 'smile'

    p_thought "It was... nice."
    
    $ pmood = 'halfshut'
    $ pbrow = 'sad'
    $ pmouth = 'True'
    
    p_thought "..."
    
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'teeth'
    
    p_thought "Ah, there's a picture on the mantel..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    p_thought "That wasn't there last time."
    
    hide playerghost onlayer front
    with dissolve
    
    jump alister_1_search
    
label alister_couch:
    
    show playerghost onlayer front
    with dissolve
    
    $ pmood = 'screwedup'
    $ pbrow = 'sad'
    $ pmouth = 'smile'

    p_thought "... The couch is still way too big."
    
    $ pmood = 'True'
    $ pbrow = 'sad'
    $ pmouth = 'smile'

    p_thought "Especially for a house that only two..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    p_thought "..."
    
    $ pmood = 'closed'
    $ pbrow = 'thoughtful'
    
    p_thought "{plain}One{/plain} person lives in."
    
    hide playerghost onlayer front
    with dissolve
    
    jump alister_1_search
    
label alister_table:
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p "..."

    p_thought "It's a table."
    
    hide playerghost onlayer front
    with dissolve
    
    jump alister_1_search
    
label alister_stairs:
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p_thought "My room used to be up there..."
    
    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    
    p_thought "... Not sure I want to head up there and see if it's there."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    p_thought "Honestly, I don't even know if I can."
    
    hide playerghost onlayer front
    with dissolve
    
    jump alister_1_search
    
label alister_exits:

    p_thought "I should keep looking around the room... "
    
    jump alister_1_search
    
label alister_bookcase:
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p_thought "Huh... he's got a couple new titles."

    p_thought "There's Hybrid..."

    p_thought "And The Fairytale Curse..."
    
    $ pmood = 'wide'
    $ pbrow = 'raised'
    $ pmouth = 'teeth'
    
    p_thought "... Movie Mode?"
    
    $ pmood = 'averted'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    p_thought "... Huh, didn't realize he'd be interested in something like this."
    
    hide playerghost onlayer front
    with dissolve
    
    jump alister_1_search

label alister_1_choice:
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    p "..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'teeth'
    
    p_thought "This picture..."
    
    show cg picture onlayer inyourface
    with dissolve

    "The picture in question was of Alister and someone who looked strikingly like the doll."

    "{i}It made sense.{/i}"

    "{i}The doll had been made to look like [name], after all.{/i}"
    
    if gender == "female":
        "The two of them were laughing as she climbed on his back."
        "He looked a bit younger, but she..."
        "... she looked the exact same."
        "She remembered the photographer had been annoyed at how the two of them would just not sit still."
    if gender == "male":
        "The two of them were laughing as he climbed on his back."
        "He looked a bit younger, but [name]..."
        "... he looked the exact same."
        "He remembered the photographer had been annoyed at how the two of them would just not sit still."
    if gender == "nb":
        "The two of them were laughing as they climbed on his back."
        "He looked a bit younger, but they..."
        "... they looked the exact same."
        "They remembered the photographer had been annoyed at how the two of them would just not sit still."

    hide cg picture onlayer inyourface
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'teeth'
    with dissolve

    p_thought "... he still has this?"
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p_thought "..."
    
    $ pmood = 'averted'
    $ pbrow = 'thoughtful'
    
    p_thought "I didn't think he'd keep it."
    
    menu:
    
        "Throw it in the fire.":
            jump alister_bad_1
        
        "Knock the picture over.":
            $ alister_end += 1
            jump alister_good_1
        
        "Move the picture so you don't have to look at it.":
            $ alister_end += 2
            jump alister_true_1
            
label alister_bad_1:
    
    show playerghost onlayer front
    $ pmood = 'closed'
    $ pbrow = 'thoughtful'
    $ pmouth = 'teeth'
    with dissolve
    
    p "... I can't look at this right now."
    
    show playerghost onlayer front
    $ pmood = 'screwedup'
    $ pmouth = 'frown'
    with dissolve
    
    if gender == "female":
        "She took the photograph and, using all of her ghostly strength, threw it down into the fire."
    if gender == "male":
        "He took the photograph and, using all of his ghostly strength, threw it down into the fire."
    if gender == "nb":
        "They took the photograph and, using all of their ghostly strength, threw it down into the fire."

    "The picture made a clacking sound as it hit the back of the fireplace and fell into the fire."

    hide bg living room night onlayer back
    show bg living room night no pic onlayer back
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    if gender == "female":
        "She watched it burn, the picture of the two of them together slowly crumbling into ash."    
        "For some reason, it made something inside of her twist."
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        "She ignored that something."
    if gender == "male":
        "He watched it burn, the picture of the two of them together slowly crumbling into ash."    
        "For some reason, it made something inside of him twist."
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        "He ignored that something."
    if gender == "nb":
        "They watched it burn, the picture of the two of them together slowly crumbling into ash."    
        "For some reason, it made something inside of them twist."
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        "They ignored that something."
    
    show playerghost onlayer front
    $ pmood = 'closed'
    $ pmouth = 'teeth'
    with dissolve
    
    "It's not important."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    "There was the creak of floorboards from down the hall."
    
    if gender == "female":
        "She looked over her shoulder to the doorway, listening past the hissing spit of the fire and the crumbling of the picture."
        "She could hear him, whistling a soft tune, ruffling through one of the drawers in the hall."
    if gender == "male":
        "He looked over his shoulder to the doorway, listening past the hissing spit of the fire and the crumbling of the picture."
        "He could hear him, whistling a soft tune, ruffling through one of the drawers in the hall."
    if gender == "nb":
        "They looked over their shoulder to the doorway, listening past the hissing spit of the fire and the crumbling of the picture."
        "They could hear him, whistling a soft tune, ruffling through one of the drawers in the hall."

    "He always did whistle while he worked, or at least while he cooked."
    
    show playerghost onlayer front
    $ pmood = 'halfshut'
    $ pbrow = 'angry'
    with dissolve
    
    "It had always been a little annoying."
    
    show playerghost onlayer front
    $ pbrow = 'True'
    with dissolve
    
    if gender == "female":
        "She watched the flames, eating away at everything they touched, and listened to the irritating tune being absently whistled."
    if gender == "male":
        "He watched the flames, eating away at everything they touched, and listened to the irritating tune being absently whistled."
    if gender == "nb":
        "They watched the flames, eating away at everything they touched, and listened to the irritating tune being absently whistled."

    show playerghost onlayer front
    $ pmood = 'closed'
    $ pbrow = 'sad'
    with dissolve
    
    if gender == "female":
        "She sighed, even though she couldn't sigh, and turned away from the fire and from the ashes of the picture."
    if gender == "male":
        "He sighed, even though he couldn't sigh, and turned away from the fire and from the ashes of the picture."
    if gender == "nb":
        "They sighed, even though they couldn't sigh, and turned away from the fire and from the ashes of the picture."

    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "His steps grew louder."
    
    hide playerghost onlayer front
    show alister chef at left onlayer front
    show doll onlayer front at right
    with dissolve

    "A moment later, he entered the room, the smell of his cooking following him."
    
    "He was cleaning his hands on a dish towel."

    show alister frown raised onlayer front
    with dissolve

    "Alister blinked at the mantel and cocked his head slightly."

    a "?"

    a "... where'd that picture...?"

    "His eyes trailed down to the crackling fire."
    
    show alister wide teeth sad onlayer front
    with dissolve
    
    "Horror, maybe even despair, crossed his face."

    a "I... no."
    
    show alister screwedup onlayer front
    with dissolve

    a "No, how did... no..."

    "The doll watches him."
    
    show playerghost onlayer front
    $ pmood = 'halfshut'
    $ pbrow = 'angry'
    $ pmouth = 'teeth'
    with dissolve
    
    if gender == "female":
        "Something twists in her porcelain, artificial chest, something sharp and angry and cruel."
    if gender == "male":
        "Something twists in his porcelain, artificial chest, something sharp and angry and cruel."
    if gender == "nb":
        "Something twists in their porcelain, artificial chest, something sharp and angry and cruel."

    $ pmood = 'closed'

    "How dare he pretend that he cared."

    "How {i}dare{/i} he."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    show alister blink onlayer front
    with dissolve
    
    "Alister dropped the towel and fell to his knees, hastily grappling with the poker."

    "He plunged it into the flames, ignoring the spitting sparks that reached for his face, and knocked out the burnt, crumbled frame."
    
    "What little left of the picture that still clung to it was completed blackened."

    show alister halfshut onlayer front
    with dissolve

    "He stared at the picture, or what was left of it, like someone would stare at a bird they had tried but failed to save."

    show alister frown onlayer front
    with dissolve

    "After a long moment, he reached up and covered his eyes with a trembling hand."

    "For a moment, he looked like he might break down into tears, collapse on the floor, break apart."

    show alister halfshut frown normal onlayer front
    with dissolve

    "But then his hand came back down, and his face was almost emotionless."

    a "..."
    
    show alister sad onlayer front
    with dissolve

    a "I don't suppose you know what happened to it."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    p "..."
    
    show playerghost onlayer front
    $ pmood = 'closed'
    $ pbrow = 'angry'
    with dissolve
    
    p "Don't pretend you care about that."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pmouth = 'teeth'
    with dissolve

    p "There's no one here who'll care if you show what you really think."
    
    show playerghost onlayer front
    $ pmouth = 'True'
    with dissolve

    a "..."
    
    show alister closed teeth sad onlayer front
    with dissolve

    a "No, I suppose you wouldn't."
    
    jump alister_1_finish
    
label alister_good_1:
    
    $ pmood = 'closed'
    
    p_thought "I can't look at this right now."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    if gender == "female":
        "[name] flicked her arm across the mantel, and the photograph clattered over,"
    if gender == "male":
        "[name] flicked his arm across the mantel, and the photograph clattered over,"
    if gender == "nb":
        "[name] flicked their arm across the mantel, and the photograph clattered over,"
    
    hide bg living room night onlayer back
    show bg living room night no pic onlayer back
    with dissolve
    
    "off the mantel, and landed flat on its face, the glass cracking slightly as it does so."

    "It's facing downwards: out of sight, out of mind."
    
    "The sounds of cooking stop in the background."
    
    "The noise was small, almost nonexistent."
    
    "Surely it wouldn't have been heard over the cooking."

    "And yet."

    "There's a small clatter, as though he was setting something down. A pause."
    
    "Then creaking floorboards, footsteps, as he made his way back towards the room."

    "[name] stays still."
    
    if gender == "female":
        "Quite still, as if she's really the doll that she appeared to be."
    if gender == "male":
        "Quite still, as if he's really the doll that he appeared to be."
    if gender == "nb":
        "Quite still, as if they're really the doll that they appeared to be."
    
    show alister chef frown quirked at left onlayer front
    show doll onlayer front at right
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    with dissolve
    
    if gender == "female":
        "He pokes his head into the room, almost in such a way that she found it funny, but she refused to smile."
        "Even if the smile wouldn't show on her porcelain face."
    if gender == "male":
        "He pokes his head into the room, almost in such a way that he found it funny, but he refused to smile."
        "Even if the smile wouldn't show on his porcelain face."
    if gender == "nb":
        "He pokes his head into the room, almost in such a way that they found it funny, but they refused to smile."
        "Even if the smile wouldn't show on their porcelain face."

    "Alister's eyes roamed across the room, searching for the tiny noise."
    
    "Over the chairs, over the doll, over the fire- it's not long before he spots the fallen picture on the floor."

    a "?"
    
    show alister teeth raised onlayer front
    with dissolve

    "A surprised look crossed his face, before he was hurrying over and kneeling down to pick it up."
    
    show alister sad onlayer front
    with dissolve
    
    "His face falls when he notices the large, ugly cracks spider-webbing across it."

    a "How... How did..."
    
    show alister blink frown thoughtful onlayer front
    with dissolve

    "He fiddled with the frame for a second, before he was able to take out the back and slip the picture out."

    show alister closed teeth sad onlayer front
    with dissolve

    "He blew out a relieved sigh."

    a "Oh, good. At least the picture's undamaged..."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    p "..."
    
    show playerghost onlayer front
    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    with dissolve
    
    p "Why are you pretending that you care about the photo?"
    
    p "You don't."
    
    $ pmood = 'True'
    
    p "So don't bother."
    
    if gender == "female":
        "She told him this despite the fact that she knew that he probably wouldn't be able to hear her."
    elif gender == "male":
        "He told him this despite the fact that he knew that he probably wouldn't be able to hear the doll."
    elif gender == "nb":
        "They told him this despite the fact that they knew that he probably wouldn't be able to hear them."
    
    "The Dollmaker mentioned as much."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    show alister blink frown normal onlayer front
    with dissolve

    "He slips the photo someplace safe for the moment, before he glances up at the doll."
    
    jump alister_1_finish
    
label alister_true_1:
    
    show playerghost onlayer front
    $ pmood = 'thoughtful'
    $ pmood = 'closed'
    with dissolve
    
    p_thought "I can't look at this right now."
    
    show playerghost onlayer front
    $ pmood = 'True'
    with dissolve
    
    "[name] reaches up and turns the picture around carefully."
    
    if gender == "female":
        "Something... is just preventing her from destroying it."
        $ pmood = 'closed'
        "Not that she cared about Alister at all."
    if gender == "male":
        "Something... is just preventing him from destroying it."
        $ pmood = 'closed'
        "Not that he cared about Alister at all."
    if gender == "nb":
        "Something... is just preventing them from destroying it."
        $ pmood = 'closed'
        "Not that they cared about Alister at all."

    "Not one bit."
    
    show alister chef thoughtful averted frown at left onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    show doll onlayer front at right
    with dissolve

    "Footsteps sounded as Alister walked in from the kitchen, brow furrowed slightly as he looked around."

    a "Now, where did I put that—"
    
    show alister blink raised onlayer front
    with dissolve

    a "?"

    a "How'd that picture turn?"
    
    show alister blink normal onlayer front
    with dissolve

    "He fixes it so that it's turned around the right way, eyes lingering on the child in it."
    
    show alister halfshut sad onlayer front
    with dissolve
    
    "He sighs, saddened, and glances at the doll."
    
    show alister blink onlayer front
    with dissolve
    
    if gender == "female":
        "He picks her up after a moment of deliberation, showing her the photo."
    if gender == "male":
        "He picks him up after a moment of deliberation, showing him the photo."
    if gender == "nb":
        "He picks them up after a moment of deliberation, showing them the photo."
    
    show alister smile onlayer front
    with dissolve

    a "That's [name]."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'teeth'
    with dissolve
    
    p_thought "... He's..."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    with dissolve
    
    if gender == "female":
        a "She used to live here."
    if gender == "male":
        a "He used to live here."
    if gender == "nb":
        a "They used to live here."
    
    show alister halfshut frown sad onlayer front
    with dissolve
    
    if gender == "female":
        a "It's... rather lonely, now that she doesn't."
    if gender == "male":
        a "It's... rather lonely, now that he doesn't."
    if gender == "nb":
        a "It's... rather lonely, now that they don't."
    
    $ pmood = 'halfshut'
    
    p_thought "And who's fault is {i}that{/i}?"
    
    show alister closed teeth onlayer front
    with dissolve
    
    if gender == "female":
        a "She would've loved you, I think."
    if gender == "male":
        a "He would've loved you, I think."
    if gender == "nb":
        a "They would've loved you, I think."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'angry'
    $ pmouth = 'open'
    with dissolve
    
    p "Are you kidding?! If you had {i}been{/i} there for me, you wouldn't have to {i}say{i} 'I think'."
    
    jump alister_1_finish
    
label alister_1_finish:
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    show alister averted frown thoughtful onlayer front
    with dissolve

    a "..."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    show alister closed teeth normal onlayer front
    with dissolve
    
    "Alister sighed after a moment."

    a "I suppose I should find that cookbook."
    
    show alister blink smile sad onlayer front
    with dissolve

    a "Why don't you come with me this time? Keep me company."
    
    $ pmood = 'halfshut'
    
    p "... he didn't hear me..."
    
    $ pmood = 'True'
    
    p_thought "... I guess I don't really have a choice."
    
    show playerghost onlayer front
    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    $ pmouth = 'smile'
    with dissolve

    p_thought "He's just going to pick me up and take me into the kitchen anyhow."
    
    show alister normal onlayer front
    with dissolve

    "Alister picked the doll up."
    
    p_thought "Called it."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    "Alister makes his way over to the bookshelf, doll tucked in his elbow again, and trails a finger along the spines of the shelved books."

    show alister squint raised onlayer front
    with dissolve

    a "Ah... here we are."
    
    show alister blink normal onlayer front
    with dissolve

    "He pulls the cookbook from the shelf."
    
    show alister screwedup onlayer front
    with dissolve

    a "Monsieur Gumbare's Recipes of Talented Taste."
    
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'raised'
    with dissolve
    
    p_thought "He still uses that cookbook?"
    
    p_thought "Wasn't expecting that."
    
    show playerghost onlayer front
    $ pbrow = 'True'
    show alister blink onlayer front
    with dissolve
    
    a "A classic."
    
    hide alister onlayer front
    hide playerghost onlayer front
    hide player onlayer front
    hide doll onlayer front
    with dissolve

    "Alister takes the book and the doll with him into the kitchen."
    
    hide bg living room night onlayer back
    with fade
    
    $ persistent.alisterplaythrough += 1
    $ persistent.alisterend = True
    
    jump pointcheck
    
label pointcheck:
    
    if persistent.alisterplaythrough == 1:
        $ persistent.dollmakerachieve += 1
    else:
        pass
    
    return