﻿label dollmaker_choice:
    
    $ dollmaker_end = 0
    
    if persistent.dollmakerachieve >= 3:
        hide selection_bg
        hide selection_idle
        hide selection_dollmaker
        with dissolve
    else:
        hide selection_bg
        hide selection_idle
        with dissolve
    
    show bg shop closing onlayer back
    show dollmaker frown onlayer front
    with fade
    
    D "..."
    
    show dollmaker thoughtful averted frown onlayer front
    with dissolve

    D "Er..."
    
    show dollmaker blink onlayer front
    with dissolve

    "She glanced over her shoulder at the doll."
    
    show dollmaker at slightleft onlayer front
    show doll at slightright onlayer front
    with dissolve

    "[name] stared back."
    
    hide dollmaker onlayer front
    hide doll onlayer front
    show alister frown at left onlayer front
    show evan thoughtful onlayer front
    show dylan at right onlayer front
    with dissolve

    "The three customers waited expectantly."
    
    hide alister onlayer front
    hide evan onlayer front
    hide dylan onlayer front
    show dollmaker teeth normal blink at slightleft onlayer front
    show doll at slightright onlayer front
    with dissolve

    "After a moment, the Dollmaker turned back to deliver her decision—"
    
    hide doll onlayer front
    show dollmaker raised onlayer front
    with hpunch

    "And the doll managed to somehow topple over in the case."
    
    show dollmaker frown onlayer front
    with dissolve

    D "..."
    
    show dollmaker normal onlayer front
    with dissolve

    "She turned back and opened the case, looking [name] over."
    
    show dollmaker thoughtful onlayer front
    with dissolve

    D "... I thought I stabilized..."

    "She set [name] on the counter experimentally."
    
    show dollmaker raised wide teeth onlayer front
    with vpunch

    "The doll nearly fell off the counter altogether."

    D "Ah—!"
    
    show dollmaker normal blink onlayer front
    with dissolve

    "Her hand snapped out and caught the doll before it could crack or break."
    
    show alister raised at slightright onlayer front

    "Alister instinctively helped support it back on the counter."
    
    hide alister onlayer front
    hide dollmaker onlayer front
    show evan onlayer front
    with dissolve

    e "..."
    
    show evan thoughtful onlayer front
    with dissolve

    e "You're usually more cautious with your dolls."
    
    show evan at slightleft onlayer front
    show dollmaker thoughtful teeth averted at slightright onlayer front

    D "Yes, I thought I'd already stabilized..."
    
    show dollmaker sad smile blink onlayer front
    with dissolve

    D "I'd rather not sell you three a doll that isn't well balanced; it could very well damage the doll."

    show dollmaker screwedup onlayer front
    with dissolve

    D "Would you mind waiting a while to see if I can fix the problem? I thought I'd already..."

    show dollmaker thoughtful halfshut frown onlayer front
    with dissolve

    "She frowned down at the doll in a perplexed fashion."
    
    hide dollmaker onlayer front
    show alister raised at left onlayer front
    show dylan raised onlayer front
    show evan thoughtful onlayer front
    with dissolve

    "Dylan and Alister looked at each other. Evan frowned."
    
    show alister smile normal onlayer front
    with dissolve

    "Alister turned his attention to the Dollmaker and smiled pleasantly."

    a "That would be just fine, madame Dollmaker."

    D "My apologies. I thought I'd already calibrated the weight properly to avoid imbalances and fracturing over time."

    show dylan normal onlayer front
    $ dsweatdrop = True
    with dissolve

    "Dylan gave a little nod as if he'd understood anything she'd just said."
    
    show evan thoughtful halfshut onlayer front
    show alister screwedup onlayer front
    $ dsweatdrop = False
    with dissolve

    "Evan looked somewhat suspicious; Alister reached out and shook the Dollmaker's hand."

    a "Thank you for having us."
    
    show alister blink onlayer front
    with dissolve

    a "I suppose I'll simply wait. Or get an alternative, if that is preferred."
    
    show evan averted onlayer front
    with dissolve

    e "Hm."
    
    show evan normal blink onlayer front
    with dissolve

    e "Yes, an alternative will suffice."
    
    hide alister onlayer front
    hide dylan onlayer front
    show dollmaker screwedup smile normal at slightleft onlayer front
    with dissolve

    D "Well, please feel free to take a look around the shop, then."
    
    show dollmaker blink onlayer front
    with dissolve

    D "I know it's after closing, but I'm not doing anything particularly pressing yet..."

    show evan quirked onlayer front
    with dissolve

    "Evan raised an eyebrow at that."

    e "Yet?"
    
    show dollmaker frown onlayer front
    with dissolve

    D "..."
    
    show evan normal onlayer front
    show dollmaker halfshut smile onlayer front
    with dissolve

    D "Well, yes, I would consider 'sleep' a rather important matter, Evan."
    
    show evan raised onlayer front
    with dissolve
    
    "Evan paused{nw}"
    
    show evan thoughtful averted onlayer front
    with dissolve

    "Evan paused, then grumbled something to himself."

    e "I'm going to look around."
    
    hide evan onlayer front
    with dissolve

    "He trailed away."
    
    show dollmaker blink at center onlayer front
    with dissolve

    "The Dollmaker ignored the accusing eyes she felt on her."
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "Would you two like to look around as well?"
    
    hide dollmaker onlayer front
    show dylan at slightleft onlayer front
    show alister at slightright onlayer front
    with dissolve

    "Dylan shuffled his feet and nodded."
    
    show dylan smile onlayer front
    with dissolve

    d "Thah- Thank you, Dollmaker."
    
    hide dylan onlayer front
    with dissolve

    "He left to browse the shelves."
    
    show alister smile screwedup onlayer front
    with dissolve
    
    "Alister smiled, gave her a polite nod,{nw}"
    
    hide alister onlayer front
    with dissolve
    
    "Alister smiled, gave her a polite nod, and then left to do the same thing."
    
    show dollmaker averted frown onlayer front
    with dissolve

    "She nodded, then glanced down at the doll."
    
    show dollmaker thoughtful blink onlayer front
    with dissolve

    "Experimentally, she carefully set [name] down on the counter, on the doll's little porcelain feet."

    show doll at slightright onlayer front
    show dollmaker normal at slightleft onlayer front
    with dissolve

    "The doll remained perfectly balanced. Not even much of a wobble."
    
    show dollmaker raised onlayer front
    with dissolve

    D "..."
    
    show dollmaker closed teeth onlayer front
    with dissolve

    "She sighed and took out a doll in progress, giving the back room door a cursory glance before beginning to work on smoothing the wood the doll was made out of a bit out with some sandpaper."

    show dollmaker smile halfshut onlayer front
    with dissolve

    D "Clever, clever..."
    
    show dollmaker teeth onlayer front
    with dissolve

    D "But why?"

    "The doll didn't reply to her."
    
    show dollmaker normal blink frown onlayer front
    with dissolve

    "With the three men in the room, she hadn't entirely expected that they would."

    "It was quiet."

    hide bg shop closing onlayer back
    hide dollmaker onlayer front
    hide doll onlayer front
    with fade

    "The three men stayed in the shop for another hour and a half before leaving with a doll each."

    "Evan picked a wooden one that looked like it could be thrown against the wall without even getting squashed, and Alister chose one that looked like it was a bit similar to [name]."

    "Dylan ended up getting a stuffed pig plush."

    "Eventually, they'd all filtered out, and the Dollmaker quietly put away the doll she'd been working on."

    "A minute later, she stood, picked [name] up, and walked into the back room."
    
    show bg back room onlayer back
    with fade

    "The back room was neatly cluttered. Shelves lined with cloth and materials and clay and pieces of wood, sewing tools and tools and other small things kept in boxes."

    "At the far end of the room was a tall, ornate mirror frame that didn't actually hold a mirror. Smooth, slightly dented lacquered wood almost glowed in the dim light that the lamps provided."

    show dollmaker at slightleft onlayer front
    show doll at slightright onlayer front
    with dissolve

    "The Dollmaker set them on a relatively clear surface and began to rifle around in the few boxes under the work table."

    show dollmaker screwedup smile onlayer front
    with dissolve

    D "... you really were rather good at pretending."

    "She might've been mad, but she sounded far too mild to be mad."

    "[name] blinked at her."

    "Not the doll, no, she hadn't made the doll to blink and dolls weren't that sentient anyway."

    show doll at right onlayer front
    show dollmaker at left onlayer front
    show playerghost onlayer front
    with dissolve

    "No, it was the spirit in the doll that blinked up at the woman."
    
    show dollmaker blink sad onlayer front
    with dissolve

    D "But don't throw yourself off the counter like that next time; you really could've cracked."

    show dollmaker screwedup onlayer front
    with dissolve

    D "And then where would we be?"
    
    show dollmaker blink smile normal onlayer front
    with dissolve

    "Probably a bunch of shards on the floor."
    
    if gender == "female":
        "She wasn't sure where she would be though."
    elif gender == "male":
        "He wasn't sure where he would be though."
    elif gender == "nb":
        "They weren't sure where they would be though."
    
    "Likely someplace much worse than the insides of a porcelain doll."
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "... you do rather like giving the silent treatment, lately."

    "She returned to rummaging through the boxes."
    
    show dollmaker sad blink onlayer front
    with dissolve

    D "Are you upset about something?"

    p "..."

    p "No..."
    
    show dollmaker screwedup normal onlayer front
    with dissolve

    D "Funny; you're usually much more talkative."

    "She sounded more amused than anything else, pulling out some sort of strange box along with a few instruments."

    show dollmaker blink smile onlayer front
    with dissolve

    "[name] was quiet for a few moment."
    
    if gender == "female":
        "Something phantom was squeezing her chest to a painful tightness; but that wasn't right, was it? You can't squeeze porcelain."
        "She turned her attention to the strange box."
    elif gender == "male":
        "Something phantom was squeezing his chest to a painful tightness; but that wasn't right, was it? You can't squeeze porcelain."
        "He turned his attention to the strange box."
    elif gender == "nb":
        "Something phantom was squeezing their chest to a painful tightness; but that wasn't right, was it? You can't squeeze porcelain."
        "They turned their attention to the strange box."

    p "What's that?"

    D "It's where I keep my results."
    
    show dollmaker frown onlayer front
    with dissolve

    "She withdrew a needle— the kind you'd find at a doctor's office— and looked at her hand."

    show dollmaker thoughtful onlayer front
    with dissolve

    "She seemed to be debating where to prick herself."

    "[name], having had many undesirable experiences with such needles, automatically leant away."

    p "... What're you doing with that?"

    D "Doing a blood test."
    
    show dollmaker sad toothysmile screwedup onlayer front
    with dissolve

    D "Not on you, don't worry. You don't even have blood."
    
    show dollmaker smile normal blink onlayer front
    with dissolve

    "She sounded rather cheerful for someone who was sticking a needle into herself."

    p "... Willingly?"

    D "Yes."

    p "Why?"

    D "I'm testing my magic reserves."
    
    show dollmaker averted sad frown onlayer front
    with dissolve

    D "They've been running a bit low from a project I've been working on."

    "[name] blinked. The doll's porcelain eyes stared onwards."

    p "Oh."

    p "What've you been working on?"
    
    show dollmaker blink smile onlayer front
    with dissolve

    D "Just a rather large project."
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "Don't worry about it."
    
    show dollmaker frown blink normal onlayer front
    with dissolve

    "She stuck her thumb with the needle without any more preamble."

    "[name] winced."

    "A drop of crimson blood formed where the needle had pricked her skin."

    "Instantly, the red began to drain of color until it was a rather dull, rusty shade of brownish-red, but still glittering liquid."

    D "..."
    
    show dollmaker averted thoughtful teeth onlayer front
    with dissolve

    D "Hmm... I may have enough to do some work tonight..."
    
    show dollmaker blink raised onlayer front
    with dissolve

    p "Can I watch?"

    p "You work, I mean."
    
    show dollmaker screwedup normal toothysmile onlayer front
    with dissolve

    D "If you'd like; it's rather boring."
    
    show dollmaker blink normal smile onlayer front
    with dissolve

    "The Dollmaker waved her hand, the drop of blood slowly rising into the air and turning into a glittering, dull crystal."

    "With a snap, the box opened, revealing several tiny dewdrop-sized rubies."

    "After a moment, [name] realized it was crystallized blood, like the drop currently hovering in the air."

    "She dropped it into the box."

    p "Woah."

    p "Are those all your... ?"

    D "Yes."
    
    if gender == "female":
        "She leant forward, trying to get a better look inside the box."
    elif gender == "male":
        "He leant forward, trying to get a better look inside the box."
    elif gender == "nb":
        "They leant forward, trying to get a better look inside the box."
    
    "Its bottom was almost covered with the crystallised ruby-red blood."

    "Well, some of it wasn't red."

    "... most of it, actually."

    "A rather disconcerting portion of the blood drops were dull."
    
    "Some were brown, one or two were nearly jet black, one was grayish."

    "The Dollmaker shut the box before [name] could look too much longer."
    
    if gender == "female":
        "Startled by the sudden motion, she jumped and came dangerously close to falling off the edge of the table."
        "The Dollmaker's hand came up and nudged her so she just plopped onto their back."
    elif gender == "male":
        "Startled by the sudden motion, he jumped and came dangerously close to falling off the edge of the table."
        "The Dollmaker's hand came up and nudged him so he just plopped onto their back."
    elif gender == "nb":
        "Startled by the sudden motion, they jumped and came dangerously close to falling off the edge of the table."
        "The Dollmaker's hand came up and nudged them so they just plopped onto their back."

    D "Well, but that's nothing too interesting."

    D "How about you? You really didn't want to go home with those three."

    D "They were all rather nice, though, so I can't much imagine why."
    
    menu:

        "Change the subject.":
            jump dollmaker_bad_1
            
        "Be vague.":
            $ dollmaker_end += 1
            jump dollmaker_good_1
            
        "Be honest, but not too honest.":
            $ dollmaker_end += 2
            jump dollmaker_true_1
    
label dollmaker_bad_1:

    p "Why's your blood all weird?"
    
    if gender == "female":
        "She changed the topic so quickly that the Dollmaker didn't even seem to realize for a moment."
    elif gender == "male":
        "He changed the topic so quickly that the Dollmaker didn't even seem to realize for a moment."
    elif gender == "nb":
        "They changed the topic so quickly that the Dollmaker didn't even seem to realize for a moment."

    D "..."

    D "Ah... it just means my magic reserves are a bit low."

    D "Nothing too concerning."

    p "Oh."
    
    if gender == "female":
        "She paused."
    elif gender == "male":
        "He paused."
    elif gender == "nb":
        "They paused."

    p "What does low magic ree-sehves mean?"

    "The Dollmaker's lips twitched."

    D "It means my ability to do magic is somewhat restricted."

    D "I've been having difficulty doing magic outside of the project because my body's magic level is low."

    D "Also I have some trouble performing basic bodily functions, such as healing paper cuts or small injuries quickly."

    p "How come?"
    
    if gender == "female":
        "Something sunk in her (fake) chest."
    elif gender == "male":
        "Something sunk in his (fake) chest."
    elif gender == "nb":
        "Something sunk in their (fake) chest."

    p "Are you sick?"

    D "No, I'm just using the amount of magic in my body too quickly before it can regenerate."

    if gender == "female":
        "She didn't comment on how [name] had changed the subject."
    elif gender == "male":
        "She didn't comment on how he had changed the subject."
    elif gender == "nb":
        "She didn't comment on how they had changed the subject."

    "Perhaps she didn't notice."

    "But from the look in her eyes, she certainly had."

    "Abruptly uncomfortable, [name] looked away."

    p "I didn't know it needed to... regen-ah-rat?"

    D "Regenerate, [name]."

    D "But yes... magic users don't have an endless source of magic, you know."

    p "Oh. That makes sense."

    D "That's good, I suppose."
    
    jump dollmaker_1_continue
    
label dollmaker_good_1:

    p "... well..."
    
    if gender == "female":
        "She debated this for a moment."
    elif gender == "male":
        "He debated this for a moment."
    elif gender == "nb":
        "They debated this for a moment."

    "Being vague wouldn't hurt anyone."

    "Right?"

    p "... I didn't want to make things... weird."

    D "How would it have been weird?"

    "[name] shrugged- or, well, at least tried to."
    
    "It's kind of hard to do stuff like that when you don't have joints."

    p "Well, uh... they had no idea I wasn't just some doll. You know?"

    D "Well, that doesn't bother the other dolls that pass through that 'aren't just some dolls'."

    p "... I'm... I'm not a real doll."

    "Their voice is rather weak."

    D "Neither are some of the others."

    "She was always so incredibly cheerful; it was weird."

    p "... It would've still been weird."

    p "For both them and me."

    D "Why?"

    p "Because- What do you mean why?"

    p "They wouldn't even realise I was- I was-"

    "Alive."

    "(They weren't alive)"

    p "... real."

    D "Well, I wouldn't be so quick to guess that."

    "She said this quite mildly."

    p "..."

    p "What do you mean?"

    "The Dollmaker just gave [name] a rather cryptic smile and resumed doing what she was doing."

    "[name] watched her, waiting for her to respond."
    
    "After a few minutes, it became rather clear that she had no intention to do so."

    p "..."
    
    if gender == "female":
        "With a quiet sigh, she dropped it."
        "The murmur that followed was rather weak, even to [name]'s own hearing."
    elif gender == "male":
        "With a quiet sigh, he dropped it."
        "The murmur that followed was rather weak, even to his own hearing."
    elif gender == "nb":
        "With a quiet sigh, they dropped it."
        "The murmur that followed was rather weak, even to their own hearing."

    p "Still would've been weird..."

    p "I'm not a real toy."

    p "You'd still be selling a person."

    D "You know, for the amount of money it cost to make you, you're actually being sold at something ridiculously low."

    D "It's more like adoption."

    p "..."

    p "Adoption?"

    D "Yes."

    D "It's really more like paying the fee for adoption; you were quite expensive to make."

    p "... Sorry..."

    D "No, it was fun."

    D "I haven't worked with porcelain in a long time."

    p "It... It wouldn't really be adoption though, would it?"

    p "I doubt Dylan would sign up to be a parent."

    p "Or... anyone else."
    
    p "Without realising they were doing so."

    D "You can adopt someone as a sibling."

    D "If you're trying to make me guilty about selling you, it's not going to work, [name], I've waged those battles and made my peace a rather long time ago."

    "[name] huffed."

    p "Still."

    p "You're really going to just... sell me?"

    p "What am I supposed to do then?"
    
    if gender == "female":
        "Frankly, the idea of being sold and taken away to who knows where (especially to one of them) was completely and utterly terrifying once she stopped to think about it."
        "The minute her 'owner' realises she can talk and aren't actually a doll doll, there'll be screaming and terror and she'll probably get smashed with a hammer or something."
    elif gender == "male":
        "Frankly, the idea of being sold and taken away to who knows where (especially to one of them) was completely and utterly terrifying once he stopped to think about it."
        "The minute his 'owner' realises he can talk and aren't actually a doll doll, there'll be screaming and terror and he'll probably get smashed with a hammer or something."
    elif gender == "nb":
        "Frankly, the idea of being sold and taken away to who knows where (especially to one of them) was completely and utterly terrifying once they stopped to think about it."
        "The minute their 'owner' realises they can talk and aren't actually a doll doll, there'll be screaming and terror and they'll probably get smashed with a hammer or something."
    
    "Or maybe they'll think [name]'s a demon and call in a... a Ghostbuster or something."

    "Or a Demon Hunter."

    "Or whatever."

    D "I only sell dolls to people who I know would take care of them."

    D "I don't sell my dolls carelessly, [name], as evidenced by that one child that rather wanted you and I ended up having to dissuade them."

    D "I can tell when someone would be a bad fit."

    p "How?"

    D "Magic."

    p "..."

    p "But you mentioned how your magic was low earlier."

    D "Yes, but it's more... passive magic."

    p "Oh. Okay."

    p "What else can you do with magic?"

    D "Well, it depends..."

    D "Perception is an easy passive magic; at the moment it's the only one I'm not having that much trouble one."

    p "Can you make things float like the wizard in my old storybook?"

    D "Possibly when I'm not so low on magic..."

    D "I'll show you as soon as I can, alright?"
    
    if gender == "female":
        "[name] beamed (as well as any doll could physically beam) and clumsily jerked her head in a nod."
    elif gender == "male":
        "[name] beamed (as well as any doll could physically beam) and clumsily jerked his head in a nod."
    elif gender == "nb":
        "[name] beamed (as well as any doll could physically beam) and clumsily jerked their head in a nod."

    p "Yeah!"
    
    jump dollmaker_1_continue
    
label dollmaker_true_1:

    p "..."

    p_thought "I might as well tell her, I guess..."

    p_thought "Just not too much."

    p_thought "I still don't know her that well."

    p_thought "I... um..."

    p_thought "I'm not... comfortable going with... with any of them."

    D "Oh?"

    D "Why is that?"

    "She sounded rather mild as she continued working and searching through some boxes."

    "[name] shrugged- well, as best as a jointless doll can shrug- and shifted uncomfortably."

    p "I'm just not... on the best terms with them."

    p "They don't exactly... like me all that much."

    D "Oh?"

    D "They did seem a little uncomfortable about the name..."

    D "Why is that?"

    p "... Um... We're just... we weren't..."
    
    if gender == "female":
        "Trailing off, she shrugged (more of jerked) again."
    elif gender == "male":
        "Trailing off, he shrugged (more of jerked) again."
    elif gender == "nb":
        "Trailing off, they shrugged (more of jerked) again."

    p "Things just got... distant, I guess."

    D "I see..."

    D "Then wouldn't it be better to meet up with them again and fix whatever problems you had?"

    "Deft fingers pulled out a needle, pricking the base of her thumb without even a second thought."

    "In fact, [name] almost didn't realize the movement had happened."
    
    if gender == "female":
        "She was too busy stiffening at the Dollmaker's words."
        "But she did, after a moment, notice."
    elif gender == "male":
        "He was too busy stiffening at her words."
        "But he did, after a moment, notice."
    elif gender == "nb":
        "They were too busy stiffening at her words."
        "But they did, after a moment, notice."

    p "What're you doing?"

    D "Getting more blood."

    "The Dollmaker said this as casually as if she'd said something along the lines of 'getting a cookie'."

    "Another drop of blood was forming, this time on that part of their palm that could actually provide blood."

    p "Why? You just did that."

    D "I need— ah—"

    "The Dollmaker's brow furrowed, just for a moment."

    "The blood, which had begun draining of color, redoubled in its saturation— red, red, so red that it was almost screaming—"

    "The droplet went into a vial that was quickly corked, not even taking up that much space."

    "[name] stared."

    D "There we are."

    p "What... What was that?"

    D "I need some blood to boost what I'm doing tonight."

    D "I don't have enough of my magic reserves to do it without straining myself too much."

    p "What are you doing tonight?"

    D "Magic."

    "The Dollmaker looked rather amused at the question— not in a 'oh you silly child' way, but rather in a 'I have a little secret' way."

    if gender == "female":
        "[name] narrowed her eyes- or, well, narrowed them in spirit."
    elif gender == "male":
        "[name] narrowed his eyes- or, well, narrowed them in spirit."
    elif gender == "nb":
        "[name] narrowed their eyes- or, well, narrowed them in spirit."

    p "What's that supposed to mean?"

    D "I'm doing magic."

    p "What kind of magic?"

    D "Am I under any obligation to tell you?"

    "The Dollmaker was looking like she was having a rather good amount of fun with this."

    "(A bit too much, really.)"

    "[name] huffed."

    p "I guess not. But I still wanna know!"

    D "And I am not going to tell you."

    "Again."

    "The Dollmaker was having too much fun."

    "[name] groaned."

    p "But whyyyyy?"

    p "I wanna know!"

    p "Why're you keeping secrets?"

    "She chuckled and patted their fake hair gently."

    D "Sorry, [name]. It's just hard to explain."

    "[name] huffed, but dropped it."
    
    jump dollmaker_1_continue

label dollmaker_1_continue:

    "The Dollmaker pulled out some instruments that looked more like they would be used for magic than anything else from under the table."

    "They looked old."

    "And like they'd been repaired more than a few times."

    "[name] cocked their head."

    p "... What do those do?"

    D "It's a bit difficult to explain..."

    "The Dollmaker stood, walking over to the mirror-without-the-actual-mirror and began clipping a few of the smaller things together."

    D "... mm, this wasn't placed correctly last time..."

    "One instrument curved around the frame carefully."

    "[name] watched her curiously."

    "After a few minutes, the mirror looked even more ornate than before, with strange instruments and shapes lining the frame."

    "The Dollmaker uncorked a vial with very, very red liquid; so red that it was screaming red."

    "(Blood.)"

    "It floated into the air, beginning to split into several smaller droplets (and they were very small indeed), floating apart to each instrument."

    "Her fingers splayed out; they began to glow purple."

    "Then blue, then green, then glimmering gold—"

    "Something in between the instruments sparked."

    "Sparked, then grew bigger, looking like a glowing, pretty blue-and-violet-and-pink cosmos beginning to form in midair."

    "It grew rapidly, twisting and squirming in midair, stretching in several different directions, spiderwebbing in a dangerous, shaky way to connect to the instruments attached to the mirror—"

    "And then one instrument cracked."

    "Instantly, the miniature cosmos collapsed in on itself, vanishing into a tiny spray of sparks, the offending instrument shattering an instant before the Dollmaker dropped to her knees."

    "The cloak's hood hid her face, her fingers trembling from where they'd caught her on the floor."

    "There was a small cut on her hand where a shard of the instrument had sliced her."

    D "..."

    D "Damn..."

    p "Are- Are you okay?"

    D "Yes, I'm fine."

    "She stood, ignoring the bloody cut on her hand."

    "For a moment, she swayed unsteadily, before she brushed it off and began to carefully remove the instruments."

    D "At least the rest didn't seem too badly organized..."

    "Blood dripped onto the floor from the Dollmaker's hand."

    p "You're- You're bleeding."

    p "You're sure you're okay? What was that? Dollmaker?"

    D "I'll wrap it up after I'm done cleaning up."

    D "It was just an experiment I've been working on for some time."

    "The Dollmaker didn't seem particularly perturbed about her bloody palm, although she did move more slowly to adjust things than she had before."

    "[name] had seen the Dollmaker seal up small injuries in a matter of minutes before."
    
    "The cut on her hand was one of such lesser injuries."

    "And yet it didn't heal."

    "By the time most of the instruments had been removed, the Dollmaker's hand was covered in blood, and the Dollmaker seemed singularly unconcerned by this."

    "The sight was making [name] feel incredibly sick."

    "(But that was so dumb, wasn't it?)"

    "(Things don't get sick.)"

    "In removing the instruments, her fingers had gotten a bit nicked up by the broken glass."

    "Once the shattered one was set on the table— and the Dollmaker's hands ended up looking nice and cut-up— the Dollmaker reached into the box under the table and pulled out a set of bandages and medicine."

    "She tossed some weird, crushed-up herb on her palm, giving a soft, involuntary hiss at the motion, before taking a rag and wiping off the blood."

    "The cut didn't look nearly as bad without all the blood on it."

    "Apparently satisfied, the Dollmaker began wrapping up her hand with the bandages."

    if gender == "female":
        "[name] shifted where she sat."
    elif gender == "male":
        "[name] shifted where he sat."
    elif gender == "nb":
        "[name] shifted where they sat."

    p "... You're... sure you're okay?"

    D "Yes, it's fine, [name]."

    "After wrapping up the sliced palm, the Dollmaker began to wrap bandages around the smaller cuts on her other hand."

    if gender == "female":
        "[name] watched in an unsure silence. Something churned in her imaginary stomach."
        "But she couldn't identify it."
    elif gender == "male":
        "[name] watched in an unsure silence. Something churned in his imaginary stomach."
        "But he couldn't identify it."
    elif gender == "nb":
        "[name] watched in an unsure silence. Something churned in their imaginary stomach."
        "But they couldn't identify it."
    
    return
