﻿label dylan_choice:
    
    $ dylan_end = 0
    
    if persistent.dollmakerachieve >= 3:
        hide selection_bg
        hide selection_idle
        hide selection_dollmaker
        with dissolve
    else:
        hide selection_bg
        hide selection_idle
        with dissolve
    
    show bg shop closing onlayer back
    show dollmaker onlayer front
    with fade
    
    D "I believe I'll give the doll to Dylan."
    
    if gender == "female":
        D "You do look like you'd enjoy her company."
    elif gender == "male":
        D "You do look like you'd enjoy his company."
    elif gender == "nb":
        D "You do look like you'd enjoy their company."

    "Dylan blinked, surprise crossing his face."

    d "O- Oh-"

    d "Re- Really?"

    D "I don't see why not."
    
    if gender == "female":
        D "Take good care of her, alright?"
    elif gender == "male":
        D "Take good care of him, alright?"
    elif gender == "nb":
        D "Take good care of them, alright?"

    "Dylan frantically nodded, eyes wide."

    d "Ye- Yes- Yeah- of course."

    "Evan's face was blank. Alister looked somewhat disappointed by the decision."

    "The Dollmaker gave both of them a warm smile."

    D "I can help you two find another doll that suits your tastes?"

    "Evan grunted."

    e "That may be acceptable."

    a "I... well... yes, alright."

    a "Thank you, Dollmaker."

    D "Of course."

    "This exchange was accompanied by the dollmaker quickly and fluidly completing the transaction."
    
    "Or, in this case, pushing away the money Dylan offered and placing the doll in his hands."

    "This was naturally followed by Dylan turning bright pink and spluttering, attempting (and failing) to give her the money."

    "The Dollmaker shooed him away."

    D "I already said you have a discount."

    d "But- But- But this isn't- this doesn't- it's not- discount?"

    D "Yes. Don't try to give me the money."

    D "I will not take it."

    "Dylan's face burned a deep red now."
    
    "After a moment, he hesitantly put the money away and clutched the doll closer."

    d "Tha- Tha- Thank you, Doll- Dollmaker."

    D "Of course."

    e "You're going to go out of business."

    D "You said that a year ago."

    e "You're very slowly going out of business."

    "Dylan cracked a tiny smile."

    D "In that case, buy a doll."

    D "Dylan, you don't have to listen to Evan trying to fluster me."

    D "If you have to go home, you should head home."

    d "I- Right. Right."

    d "You're- You're sure you- sure you don't want the money?"
    
    d "I- I really don't- really don't mind..."

    D "It's only money."

    D "Goodness gracious, dear, don't mind Evan nagging me about the shop, I do well enough."

    d "I -I- Okay. Yeah."

    d "Than- Thank you, Dollmaker."

    D "Of course, Dylan."

    D "Now, Evan, don't go looking at the porcelain dolls for experiments; a wooden doll won't take as much damage."

    "She directs that at Evan, who glances up from where he's begun looking at some dolls."

    e "Which ones are wooden? They all look the same."

    a "Actually, it's not that hard to tell which ones are porcelain."

    a "They are naturally smooth, and don't have a sort of polished wood look to the faces."

    e "..."

    D "That's true enough."

    e "Hm."

    "He wandered off, presumably in search of a doll."

    "Dylan stuttered out one last thank you to the Dollmaker, hugged the doll tighter and slipped out the store."

    "The Dollmaker watched him leave, before turning a smile to Alister."

    D "Would you like to look about a bit? There might be something else you'd like."

    "Alister returned the smile."

    a "That would be very nice, thank you."

    "She nodded a warm smile and watched him meander deeper into the store."

    "For a few moments, her eyes flickered back to the door."

    D "..."

    D "Good luck, [name]."

    hide bg shop closing onlayer back
    show bg street night onlayer back
    show dylan at slightleft onlayer front
    show doll at slightright onlayer front
    with fade

    "Dylan moved quickly down the streets."

    "[name] looked up at him."

    "Not quite the doll. Dolls aren't really sentient that way."

    "No, the [name] who watched him jog home was the spirit inside the doll."

    p "..."

    p "I haven't seen you for a while."

    p "..."

    p "You look okay."

    p "I think your stutter's gotten worse, though..."

    p "... did you know?"
    
    if gender == "female":
        "Her thoughts are punctuated as Dylan takes a turn into one of the shabbier-looking parts of town."
    elif gender == "male":
        "His thoughts are punctuated as Dylan takes a turn into one of the shabbier-looking parts of town."
    elif gender == "nb":
        "Their thoughts are punctuated as Dylan takes a turn into one of the shabbier-looking parts of town."

    p "... this doesn't feel like the route back to the orphanage..."

    p "Did you get adopted?"

    "He skirted around a particularly large pothole, before beginning to make his way up the battered path of an overgrown lawn, leading to an even more battered house."

    "The door squealed as it opened, the hinges complaining about the rust on them."

    "The inside was dark. The wallpaper was peeling and the carpet was musty."
    
    "It looked like a small, one-floor house."

    "Several dust motes danced in the air in the light of one of the windows."

    "Dylan shut the door quietly, almost seemed to hesitate, then began to make his way towards one of the rooms."

    d "Mama? I'm home..."

    p "Ah, so you did get adopted..."

    p "When did that happen?"

    "There is no response."

    "Dylan hovered just in front of one of the closer doors, hand raised as though to knock."

    "Finally, he seemed to decide against it. His hand dropped back down to his side."

    d "..."

    d "I'll... order something for dinner, then."

    "There was still no answer."

    "Dylan hesitated a moment longer, before breathing a soft sigh and going to the kitchen."

    "The doll stared at him."

    p "..."

    p "It's dusty in here."
    
    if gender == "female":
        "Of course, he doesn't hear her."
    elif gender == "male":
        "Of course, he doesn't hear him."
    elif gender == "nb":
        "Of course, he doesn't hear them."

    "Dylan sat his bag- and the doll- on the small kitchen table."
    
    "He tugged open the fridge, which was as dark as the rest of the house, and stuck his head inside."

    "It looked empty."

    "After a long moment, Dylan pulled away and shut it."

    d "..."

    "He glanced at a jar on counter. There were a few pennies at the bottom."

    d "..."

    "He sighed."

    d "So much for that..."

    p "... you should find somethin' else to eat."
    
    if gender == "female":
        "She doesn't know WHERE he'd go to eat."
    elif gender == "male":
        "He doesn't know WHERE Dylan'd go to eat."
    elif gender == "nb":
        "They don't know WHERE he'd go to eat."

    "Maybe he could ask the Dollmaker."

    "She'd certainly be happy to help."
    
    if gender == "female":
        "But she knows he wouldn't want to ask, and she doesn't really know how to suggest it."
        "And, to her dismay but not to her surprise, he doesn't go for the phone or does he even look through the cupboards."
    elif gender == "male":
        "But [name] knows he wouldn't want to ask, and he doesn't really know how to suggest it."
        "And, to his dismay but not to his surprise, Dylan doesn't go for the phone or does he even look through the cupboards."
    elif gender == "nb":
        "But they know he wouldn't want to ask, and they don't really know how to suggest it."
        "And, to their dismay but not to their surprise, he doesn't go for the phone or does he even look through the cupboards."
    
    "He just pours a large glass of water, grabs his bag and makes his way to one of the doors in the hallway."

    "Upon entering, [name] realised it must be his bedroom."

    "It was small, but well-kept."

    "The bed was made, and even though the desk was crammed somewhat awkwardly into a corner near the window, it was organized."

    "There was a small ledge on the wall with a few books on it."

    "On the desk was a stack of envelopes."
    
    if gender == "female":
        "He removed her from the bag and gently set her on the desk."
        "He took a step back and almost seemed to regard her."
    elif gender == "male":
        "He removed [name] from the bag and gently set him on the desk."
        "He took a step back and almost seemed to regard the doll."
    elif gender == "nb":
        "He removed them from the bag and gently set them on the desk."
        "He took a step back and almost seemed to regard them."

    "He smiled."

    d "... Yeah. You look good."

    "He glanced around his surroundings, almost appearing self-conscious as moments passed."

    d "Um..."

    d "Sorry, it's— it's not... not much..."

    "He almost sounds vaguely confused as to why he's apologizing to a doll, but he does apologize."

    "Dylan hesitated a moment longer."
    
    "He coughed into his fist."

    d "So... um... yeah."

    d "... I- I should- I should do my homework now."

    "He considered the doll, before sighing, murmuring something about 'textbook in the living room' and slipping through the door."

    "[name] looked at the letters."

    "One of the envelopes was set in such a way that you could see the addressee on it."

    if gender == "female":
        "She blinked."
    elif gender == "male":
        "He blinked."
    elif gender == "nb":
        "They blinked."

    "'[name]' was written on the envelope."

    "And the next one. And the next one."
    
    if gender == "female":
        "The entire pile of letters was addressed to her."
    elif gender == "male":
        "The entire pile of letters was addressed to him."
    elif gender == "nb":
        "The entire pile of letters was addressed to them."

    p "... he wrote letters?"

    "There was a pen on the desk."
    
    if gender == "female":
        "She picked up the pen clumsily in not-really-functioning porcelain fingers and stared down at a paper on the desk."
        "She could write a reply... maybe."
    elif gender == "male":
        "He picked up the pen clumsily in not-really-functioning porcelain fingers and stared down at a paper on the desk."
        "He could write a reply... maybe."
    elif gender == "nb":
        "They picked up the pen clumsily in not-really-functioning porcelain fingers and stared down at a paper on the desk."
        "They could write a reply... maybe."

    "Right?"
    
    menu:

        "You got taller.":
            jump dylan_bad_1
            
        "It's been a while.":
            $ dylan_end += 1
            jump dylan_good_1
            
        "Sorry.":
            $ dylan_end += 2
            jump dylan_true_1
    
label dylan_bad_1:

    p "That works."

    p "It's kinda funny."
    
    if gender == "female":
        "She leaned over; the pen almost slipped out of her porcelain hand entirely."
        "It was incredibly awkward to hold, considering she couldn't actually bend her wrists or fingers."
        "She tried anyway, managing to maneuver it around."
        "She managed to scrawl a clumsy, silly message on the paper."
        "It's rather messy, though. If her handwriting in life had been messy, this was nearly unreadable."
    elif gender == "male":
        "He leaned over; the pen almost slipped out of his porcelain hand entirely."
        "It was incredibly awkward to hold, considering he couldn't actually bend his wrists or fingers."
        "He tried anyway, managing to maneuver it around."
        "He managed to scrawl a clumsy, silly message on the paper."
        "It's rather messy, though. If his handwriting in life had been messy, this was nearly unreadable."
    elif gender == "nb":
        "They leaned over; the pen almost slipped out of their porcelain hand entirely."
        "It was incredibly awkward to hold, considering they couldn't actually bend their wrists or fingers."
        "They tried anyway, managing to maneuver it around."
        "They manage to scrawl a clumsy, silly message on the paper."
        "It's rather messy, though. If their handwriting in life had been messy, this was nearly unreadable."

    "But hopefully he'd be able to distinguish it."

    "Eventually."
    
    if gender == "female":
        "She plopped back down on the desk, waiting for Dylan to come back in."
    elif gender == "male":
        "He plopped back down on the desk, waiting for Dylan to come back in."
    elif gender == "nb":
        "They plopped back down on the desk, waiting for Dylan to come back in."

    "He did after a couple of minutes, a textbook tucked under his arm."

    "He plopped down into his seat with a puff, sat down his notebook and reached for his glass of water. He must have spotted the scrawl out the corner of his eye, because he paused and blinked."

    "Dylan turned to look at it. Confusion crossed his face."
    
    if gender == "female":
        "She waited for his response."
        "It seemed to take Dylan a minute to actually figure out what it said-"
        "-not that she could blame him, she could hardly read it herself-"
    elif gender == "male":
        "He waited for a response."
        "It seemed to take Dylan a minute to actually figure out what it said-"
        "-not that he could blame him, they could hardly read it himself-"
    elif gender == "nb":
        "They waited for his response."
        "It seemed to take Dylan a minute to actually figure out what it said-"
        "-not that they could blame him, they could hardly read it themselves-"
    
    "-but when he finally did, his eyebrows raised to his hairline and he just looked even more confused."

    d "... Wh- Wha... ?"

    "He fell silent for a moment, staring at the paper."

    "Several good, long moments passed."

    "Finally, he gave his head a tiny shake."

    d "Did Mom come in...?"

    "He was quiet for a moment longer."

    "Then he looked away, a small smile twitching at his lips."

    "Dylan just sat there for a moment."

    "Then he quietly took the piece of paper, carefully folded it up and stuck it in his pocket."

    "He lit a candle, dragged his textbook over and flipped it open."
    
    jump dylan_1_continue
    
label dylan_good_1:

    p "... it has been a while..."

    p "It's a good start."
    
    if gender == "female":
        "She pressed the pen to the paper, trying to be neat but managing to instead scrawl messily on the paper."
        "It didn't help that she had to put her feet on the paper to keep it from moving too much."
        "Or that she couldn't bend her wrists or fingers."
    elif gender == "male":
        "He pressed the pen to the paper, trying to be neat but managing to instead scrawl messily on the paper."
        "It didn't help that he had to put his feet on the paper to keep it from moving too much."
        "Or that he couldn't bend his wrists or fingers."
    elif gender == "nb":
        "They pressed the pen to the paper, trying to be neat but managing to instead scrawl messily on the paper."
        "It didn't help that they had to put their feet on the paper to keep it from moving too much."
        "Or that they couldn't bend their wrists or fingers."

    "The paper crinkled and rumpled under the pen."
    
    if gender == "female":
        "But she managed to write it."
        "Satisfied, she plopped down on the desk again, letting the pen clatter across the almost barren wooden surface."
        "She waited for him to come back."
    elif gender == "male":
        "But he managed to write it."
        "Satisfied, he plopped down on the desk again, letting the pen clatter across the almost barren wooden surface."
        "He waited for Dylan to come back."
    elif gender == "nb":
        "But they managed to write it."
        "Satisfied, they plopped down on the desk again, letting the pen clatter across the almost barren wooden surface."
        "They waited for him to come back."

    "Eventually, he did, a textbook tucked under his arm."

    "He plopped down into his chair and sat his textbook on the desk, before reaching for his glass of water."

    "He must have spotted the scrawl out the corner of his eye, because he paused, before blinking and turning to look at it."

    "Confusion crossed his face."
    
    "It seemed to take him a minute to figure out what it said."
    
    if gender == "female":
        "Not that she could blame him for that."
        "She could hardly read it herself and she wrote it."
    elif gender == "male":
        "Not that he could blame Dylan for that."
        "He could hardly read it himself and he wrote it."
    elif gender == "nb":
        "Not that they could blame him for that."
        "They could hardly read it themself and they wrote it."

    "He frowned."

    d "It's... what?"

    "He just looked even more confused."

    d "Was it Mom...?"

    "Dylan pondered this for a moment, frown deepening; but it was more of a thoughtful frown."

    d "... maybe not...?"

    "[name] looked at him expectantly."

    "Finally, slowly, he looked at the doll."

    d "..."

    d "... Maybe..."

    "He shook his head."

    d "Probably just... a story I started and forgot about."

    "He doesn't look like he's convinced even himself of it."

    "He carefully puts the paper away regardless and picks up the pen, slowly flipping open the textbook."

    "After lighting a candle, he sits back and stares at the pages."
    
    jump dylan_1_continue
    
label dylan_true_1:

    p "..."
    
    if gender == "female":
        "She began to slowly scratch on the paper, attempting to at least be legible."
        "She wanted to say sorry."
        "She wanted to tell him she missed him."
    elif gender == "male":
        "He began to slowly scratch on the paper, attempting to at least be legible."
        "He wanted to say sorry."
        "He wanted to tell Dylan he missed him."
    elif gender == "nb":
        "They began to slowly scratch on the paper, attempting to at least be legible."
        "They wanted to say sorry."
        "They wanted to tell him they missed him."

    "But the handwriting was so messy that [name] couldn't fit anything on the page except a 'Sorry', and even that was barely legible."

    "It would have to do, though."
    
    if gender == "female":
        "[name] sat down the pen and clambered back to where she'd been sitting before."
        "She waited for him to come back."
    elif gender == "male":
        "[name] sat down the pen and clambered back to where he'd been sitting before."
        "He waited for Dylan to come back."
    elif gender == "nb":
        "[name] sat down the pen and clambered back to where they'd been sitting before."
        "They waited for him to come back."

    "After a couple minutes, Dylan returned, a textbook tucked beneath his arm."

    "He sat down, lit a candle, went to drink his glass of water, but he must have spotted the scrawl on the paper because he paused and looked at it."

    "Confusion entered his eyes."
    
    "It seemed to take him a moment to figure out what it said."
    
    if gender == "female":
        "Not that she could really blame him, considering she could hardly read it herself."
        "(She'd never had particularly nice handwriting, but this just looked like she'd scribbled a random doodle on the paper.)"
    elif gender == "male":
        "Not that he could really blame Dylan, considering he could hardly read it himself."
        "(He'd never had particularly nice handwriting, but this just looked like he'd scribbled a random doodle on the paper.)"
    elif gender == "nb":
        "Not that they could really blame him, considering they could hardly read it themselves."
        "(They'd never had particularly nice handwriting, but this just looked like they'd scribbled a random doodle on the paper.)"

    "When something seemed to click in the one word they'd managed to scrawl down, enough for him to at least realize what it said, something clicked in his eyes, as well."

    d "Wha... ?"

    "He turned to look at the door."

    d "Did... Did Mom... ?"

    "Dylan frowned deeply."
    
    "His eyes slowly trailed over from the door and over to the doll."

    "They stared at each other."

    p "..."

    d "..."

    "He finally looked back at the messy scrawl."

    d "..."

    "After a long moment, he swallowed, picked up the paper and slid it into one of his desk drawers. His fingers trembled slightly."

    if gender == "female":
        "[name] watched her messy handwriting disappear."
    elif gender == "male":
        "[name] watched his messy handwriting disappear."
    elif gender == "nb":
        "[name] watched their messy handwriting disappear."

    d "..."

    d "That doesn't make sense."

    "He sat there for a long time."
    
    "Finally, he shook his head, brow furrowed, and tugged his textbook over to do his homework."
    
    jump dylan_1_continue
    
label dylan_1_continue:
    
    if gender == "female":
        "[name] could only watch him, since she knew he wasn't going to be able to hear her."
    elif gender == "male":
        "[name] could only watch him, since he knew Dylan wasn't going to be able to hear him."
    elif gender == "nb":
        "[name] could only watch him, since they knew he wasn't going to be able to hear them."

    p "..."

    p "Did you get any of them?"

    p "You wrote to me."
    
    if gender == "female":
        "She glanced at the stack of letters."
    elif gender == "male":
        "He glanced at the stack of letters."
    elif gender == "nb":
        "They glanced at the stack of letters."

    p "... But when did you write them?"

    "Of course, he couldn't really respond."
    
    if gender == "female":
        "He couldn't hear her, after all."
        "But he'd still written to her."
        "..."
        "She wondered why she never got them."
        "Or responded to hers."
        "But she couldn't ask."
        "So she just watched him absently chew on his lip as he studied."
    elif gender == "male":
        "He couldn't hear [name], after all."
        "But he'd still written to him."
        "..."
        "He wondered why he never got them."
        "Or responded to his."
        "But he couldn't ask."
        "So he just watched Dylan absently chew on his lip as he studied."
    elif gender == "nb":
        "He couldn't hear them, after all."
        "But he'd still written to them."
        "..."
        "They wondered why they never got them."
        "Or responded to theirs."
        "But they couldn't ask."
        "So they just watched him absently chew on his lip as he studied."
    
    "Just like he always would when they were younger."
    
    $ persistent.dylanplaythrough += 1
    
    if persistent.dylanplaythrough == 1:
        $ persistent.dollmakerachieve += 1
    else:
        pass
    
    return