﻿label evan_choice:
    
    $ evan_end = 0
    
    if persistent.dollmakerachieve >= 3:
        hide selection_bg
        hide selection_idle
        hide selection_dollmaker
        with dissolve
    else:
        hide selection_bg
        hide selection_idle
        with dissolve
    
    show bg shop closing onlayer back
    show dollmaker onlayer front
    with fade
    
    show dollmaker screwedup smile normal onlayer front
    with dissolve
    
    D "I believe I'll give the doll to Evan."
    
    show dollmaker halfshut onlayer front
    with dissolve
    
    if gender == "female":
        D "... but you have to pay a little extra for possible repairs, considering you're going to be doing experiments with her."
    elif gender == "male":
        D "... but you have to pay a little extra for possible repairs, considering you're going to be doing experiments with him."
    elif gender == "nb":
        D "... but you have to pay a little extra for possible repairs, considering you're going to be doing experiments with them."

    D "Last time you did an experiment you nearly burned down the back of my shop from a 'side effect', as you put it."

    show evan averted thoughtful onlayer front
    hide dollmaker onlayer front
    with dissolve

    "Evan seemed to consider these terms for a moment, before quirking his head in a small nod."

    show evan blink onlayer front
    with dissolve

    e "Fine."
    
    hide evan onlayer front
    show dollmaker onlayer front
    with dissolve

    "She looks pleased, before inclining her head at the other two men."
    
    show dollmaker sad onlayer front
    with dissolve

    D "If you'd like, you may stay past closing and look around a bit... see if you would like any of the other dolls?"

    "Her hands move, performing the transaction with such ease that a bystander only watching her hands would think that she was putting all of her concentration into this one action."

    hide dollmaker onlayer front
    show alister thoughtful smile at left onlayer front
    show dylan sad at right onlayer front
    with dissolve

    "Alister and Dylan looked a little disappointed, but they nodded."

    a  "Of course, Dollmaker. You have my thanks."

    "Dylan shuffled his feet and nodded."
    
    show dylan smile onlayer front
    with dissolve

    d "I... ye- yeah. Thank you."
    
    hide alister onlayer front
    hide dylan onlayer front
    show dollmaker onlayer front
    with dissolve

    "She nodded pleasantly, before glancing at the doll in the case."
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "[name], you'll be going home with Evan."

    D "Is that alright?"
    
    show dollmaker blink frown raised onlayer front
    with dissolve

    "The doll didn't respond, but the dollmaker paused and glanced more at the doll for a moment."

    D "... oh."
    
    show dollmaker normal onlayer front
    with dissolve

    D "Is that so?"
    
    hide dollmaker onlayer front
    show evan quirked at left onlayer front
    show alister quirked teeth onlayer front
    show dylan teeth at right onlayer front
    with dissolve

    "Evan raised his eyebrows silently. Dylan and Alister shared a rather confused look."
    
    hide evan onlayer front
    hide alister onlayer front
    hide dylan onlayer front
    show dollmaker smile onlayer front
    with dissolve

    D "... alright."

    "She gently lifted the doll out of the glass case and offered it to Evan."
    
    show dollmaker screwedup onlayer front
    with dissolve
    
    if gender == "female":
        D "Well, do promise you'll not require me to fix her after two days."
        hide dollmaker onlayer front
        show evan onlayer front
        with dissolve
        "Evan accepted her into his hands."
    elif gender == "male":
        D "Well, do promise you'll not require me to fix him after two days."
        hide dollmaker onlayer front
        show evan onlayer front
        with dissolve
        "Evan accepted him into his hands."
    elif gender == "nb":
        D "Well, do promise you'll not require me to fix them after two days."
        hide dollmaker onlayer front
        show evan onlayer front
        with dissolve
        "Evan accepted them into his hands."
        
    show evan averted thoughtful onlayer front
    with dissolve

    e "Two days."
    
    e "I think I may be able to achieve that."
    
    hide evan onlayer front
    show dollmaker onlayer front
    with dissolve

    D "Questionable, when it comes to you, but alright."

    "She sits back, giving him a pleasant smile."
    
    show dollmaker thoughtful onlayer front
    with dissolve

    if gender == "female":
        D "Mind you, take good care of her..."
        D "... or the best care you can while performing experiments on her."
    if gender == "male":
        D "Mind you, take good care of him..."
        D "... or the best care you can while performing experiments on him."
    if gender == "nb":
        D "Mind you, take good care of them..."
        D "... or the best care you can while performing experiments on them."

    hide dollmaker onlayer front
    show evan onlayer front
    with dissolve

    "Evan nodded and tucked the doll into his bag."

    e "I'll take note of that."
    
    hide evan onlayer front
    show dollmaker normal onlayer front
    with dissolve

    "She nodded and watched his dark blue cloak sweep out the door, that and the bell marking his departure."

    "She looked over at Dylan and Alister; both of them had shifted deeper into the shop and were exploring the dolls."

    "Alister seemed to be interested with some of the more 'humanoid' dolls, while Dylan just seemed interested in the dolls in general."

    D "..."
    
    show dollmaker sad onlayer front
    with dissolve

    D "Good luck, [name]."

    hide bg shop closing onlayer back
    hide dollmaker onlayer front
    show cge_1 onlayer back
    with fade

    "Perhaps out of respect for the Dollmaker, or an unconscious respect for the doll, Evan left the flap open so that the doll's head stuck out."

    "[name] looked up at him."

    "Not the doll, mind you. Dolls aren't human or sentient; not on their own at least."

    "No, the [name] that was watching him as he strode quickly down the street was the soul in the doll."

    p "..."

    p_thought "It's been a long time."

    p_thought "I haven't seen him in..."

    p_thought "I don't even know how long."

    p_thought "Never been to his workshop either."

    p_thought "... not officially..."
    
    hide cge_1 onlayer back
    show bg library int night onlayer back
    show evan at left onlayer front
    show doll at center onlayer front
    show playerghost at right onlayer front
    show player at offscreenright onlayer front
    with dissolve

    "As if on cue, Evan stopped at a building with a few locks on the doors."

    "It wasn't in a particularly friendly-looking part of town."
    
    "The orphanage next door was in dire need of a new coat of paint, and to the right of the tall building (which reminded [name] of a library) were just a row of warehouses."

    "He tapped the locks and entered."
    
    $ pmood = 'wide'
    $ pbrow = 'raised'
    $ pmouth = 'True'

    p "..."
    
    $ pmouth = 'teeth'

    p_thought "Woaaaah."
    
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'True'
    
    if gender == "female":
        "She'd had a vague idea that wizard workshops were supposed to be cramped and stuffy, with every nook and cranny covered in weird magic."
    elif gender == "male":
        "He'd had a vague idea that wizard workshops were supposed to be cramped and stuffy, with every nook and cranny covered in weird magic."
    elif gender == "nb":
        "They'd had a vague idea that wizard workshops were supposed to be cramped and stuffy, with every nook and cranny covered in weird magic."

    "Evan's couldn't have been any farther from that."
    
    hide evan blink normal frown onlayer front
    hide playerghost onlayer front
    hide doll onlayer front
    with dissolve

    "The building seemed even larger on the inside, towering up a few stories at least."
    
    "The walls were lined with bookshelves that were ridiculously tall and (at least fitting the messy part of the stereotype) crammed full to the point of nearly bursting with books."

    "There was a small nook with a spartan bed and a dresser in the corner."
    
    "Otherwise, every available space that wasn't needed for walking was packed full of books and scrawled-on papers, and tables with weird potions and glass devices that looked like they were brewing something."

    "Even the counter and sink were overflowing with random magical-looking things."
    
    show evan blink normal frown at left onlayer front
    show doll at right onlayer front
    show playerghost onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "Evan maneuvered around the mess with the expertise of someone who had been living in it for a long while."

    "He reached a small table and sat his bag- with the doll- on a big pile of crumpled paper and open books."
    
    show evan blink thoughtful frown onlayer front
    with dissolve
    
    "He then turned to one of the particularly high and crooked piles and ran a finger along the spines, searching."
    
    if gender == "female":
        "She watched him search, still looking around the cavernous room."
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        "She thought she could see some books floating around and shifting position higher up, but it's too high up for her to really make out."
    elif gender == "male":
        "He watched Evan search, still looking around the cavernous room."
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        "He thinks he can see some books floating around and shifting position higher up, but it's too high up for him to really make out."
    elif gender == "nb":
        "They watched him search, still looking around the cavernous room."
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        "They think they can see some books floating around and shifting position higher up, but it's too high up for them to really make out."

    show evan blink raised teeth onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "After a short while, Evan finds the book he's searching for."
    
    show evan blink normal frown onlayer front
    with dissolve

    "With a flick of his wrist, the books stacked on top of it lifted neatly into the air."

    "He picked up his desired book and the stack seated itself back down where it had been."
    
    if gender == "female":
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        with dissolve
        "[name] watches him with vague interest until he hefts her out of the bag, setting them on the table while still reading the book."
        show evan halfshut onlayer front
        with dissolve
        "He mutters quietly to himself, but it's too low for her to hear."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'teeth'
        "And likely too complicated for her to actually understand all that well."
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        with dissolve
        "After a moment, he picked her up again and pressed his fingers firmly to her porcelain chest."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "(She had a feeling it would've tickled if she was still human.)"
    if gender == "male":
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        with dissolve
        "[name] watches him with vague interest until he hefts the doll out of the bag, setting him on the table while still reading the book."
        show evan halfshut onlayer front
        with dissolve
        "He mutters quietly to himself, but it's too low for [name] to hear."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'teeth'
        "And likely too complicated for him to actually understand all that well."
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        with dissolve
        "After a moment, he picked him up again and pressed his fingers firmly to the doll's porcelain chest."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "(He had a feeling it would've tickled if he was still human.)"
    if gender == "nb":
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'raised'
        $ pmouth = 'teeth'
        with dissolve
        "[name] watches him with vague interest until he hefts them out of the bag, setting them on the table while still reading the book."
        show evan halfshut onlayer front
        with dissolve
        "He mutters quietly to himself, but it's too low for them to hear."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'teeth'
        "And likely too complicated for them to actually understand all that well."
        show evan blink thoughtful frown onlayer front
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        with dissolve
        "After a moment, he picked them up again and pressed his fingers firmly to their porcelain chest."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "(They have a feeling it would've tickled if they were still human.)"
        
    show evan closed thoughtful teeth onlayer front
    with dissolve

    "He utters something very foreign-sounding, strange and poetic and funny, and his fingers glow with pale blue magic."

    if gender == "female":
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "[name] thinks she's seen this magic before, but before she can quite remember from where the magic fizzled and sparked."
        $ pmood = 'True'
        $ pbrow = 'sad'
        $ pmouth = 'smile'
        "(She can't help but be reminded of the dollmaker giving the most faintly irritated hum whenever her magic sparked, muttering something about 'well, looks like that failed as well'.)"
    if gender == "male":
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "[name] thinks he's seen this magic before, but before he can quite remember from where the magic fizzled and sparked."
        $ pmood = 'True'
        $ pbrow = 'sad'
        $ pmouth = 'smile'
        "(He can't help but be reminded of the dollmaker giving the most faintly irritated hum whenever her magic sparked, muttering something about 'well, looks like that failed as well'.)"
    if gender == "nb":
        $ pmood = 'averted'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "[name] thinks they've seen this magic before, but before they can quite remember from where the magic fizzled and sparked."
        $ pmood = 'True'
        $ pbrow = 'sad'
        $ pmouth = 'smile'
        "(They can't help but be reminded of the dollmaker giving the most faintly irritated hum whenever her magic sparked, muttering something about 'well, looks like that failed as well'.)"

    show evan blink raised frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "Evan paused, staring blankly."
    
    show evan blink normal frown onlayer front
    with dissolve

    "He turned back to his book, flipping through it a few times, still holding the doll in hand."
    
    show evan blink quirked frown onlayer front
    with dissolve

    "After a moment, his brow creased slightly."
    
    show evan closed thoughtful teeth onlayer front
    with dissolve
    
    if gender == "female":
        "He pressed his hand against her porcelain chest and his palm glowed blue again."
    if gender == "male":
        "He pressed his hand against his porcelain chest and his palm glowed blue again."
    if gender == "nb":
        "He pressed his hand against their porcelain chest and his palm glowed blue again."
        
    show evan blink raised teeth onlayer front

    "The magic swelled slightly before fizzling and sparking again, this time making [name]'s small clothes pop and glitter with magical energy."

    show evan blink thoughtful frown onlayer front
    with dissolve

    "Evan frowned deeply now."
    
    show evan averted thoughtful teeth onlayer front
    with dissolve

    e "Strange..."
    
    show evan blink onlayer front

    e "It's not as if the artificial soul has a fault, so why isn't it...?"
    
    show evan frown onlayer front
    with dissolve

    "He tried again."
    
    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    $ pmouth = 'teeth'
    
    if gender == "female":
        "The novelty of having magic being conducted on her was growing old quite quickly."
        "[name] could feel a phantom chill creep up her porcelain back every time the magic coursed over the doll's body."
    if gender == "male":
        "The novelty of having magic being conducted on him was growing old quite quickly."
        "[name] could feel a phantom chill creep up his porcelain back every time the magic coursed over the doll's body."
    if gender == "nb":
        "The novelty of having magic being conducted on them was growing old quite quickly."
        "[name] could feel a phantom chill creep up their porcelain back every time the magic coursed over the doll's body."

    "It wasn't particularly comfortable, especially since it felt as though a rather nasty static shock was delivered every time it failed, which it did so again."

    show evan blink thoughtful frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "He frowned and set the doll down, turning back to the bookshelves to see if he could find something to help."

    "Or at least, that's what [name] can only assume he's doing."
    
    hide evan onlayer front
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'True'
    hide doll onlayer front
    show playerghost onlayer front
    with dissolve
    
    if gender == "female":
        "While she watched him, she noticed the mirror resting next to her."
    if gender == "male":
        "While he watched him, he noticed the mirror resting next to him."
    if gender == "nb":
        "While they watched him, they noticed the mirror resting next to them."

    "One of the glass structures that was spitting out copious amounts of brightly-colored steam nearby had made the mirror completely fog up."

    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p "..."
    
    $ pmood = 'averted'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'

    p_thought "Could probably get his attention with this..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p_thought "Maybe I could tell him to stop experimenting on me..."

    "They looked up at Evan, whose back was still facing them as he ran a finger over the spines of his many books."
    
    $ pmood = 'closed'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p_thought "It's worth a try..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    p_thought "What should I write?"

    menu:

        "Cut it out you jerk.":
            jump evan_bad_1
            
        "Please stop experimenting on me.":
            $ evan_end += 1
            jump evan_good_1
            
        "stop experimenting on me it's mean":
            $ evan_end += 2
            jump evan_true_1
            
label evan_bad_1:
    
    if gender == "female":
        "Her entire body was tingling from the excess magic, which was strange, as she hadn't felt anything like that for a long while."
        $ pmood = 'halfshut'
        $ pbrow = 'angry'
        $ pmouth = 'teeth'
        "It caused a flicker of irritation in her gut, and she probably would've scowled had the porcelain face not been stuck in one expression."
    if gender == "male":
        "His entire body was tingling from the excess magic, which was strange, as he hadn't felt anything like that for a long while."
        $ pmood = 'halfshut'
        $ pbrow = 'angry'
        $ pmouth = 'teeth'
        "It caused a flicker of irritation in his gut, and he probably would've scowled had the porcelain face not been stuck in one expression."
    if gender == "nb":
        "Their entire body was tingling from the excess magic, which was strange, as they hadn't felt anything like that for a long while."
        $ pmood = 'halfshut'
        $ pbrow = 'angry'
        $ pmouth = 'teeth'
        "It caused a flicker of irritation in their gut, and they probably would've scowled had the porcelain face not been stuck in one expression."

    show evan at left onlayer front
    $ pmood = 'True'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'
    with dissolve

    "[name] glanced over at Evan again."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'

    "He was occupied with flipping through about three different books, frowning and muttering, looking almost as irritated as they were."

    hide evan onlayer front
    with dissolve

    if gender == "female":
        "She looked to the foggy mirror."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "After a moment of debate, she struggled to their feet."
        "Something rather difficult, when your knees and ankles don't actually bend."
        $ pmood = 'True'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "She flexed her ghostly fingers (although the porcelain ones did anything but respond) and began to carefully etch a message on the mirror."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "It was a bit hard, as her joints refused to bend, but at last she got something remotely legible scribbled into the fog on the mirror."
        "Just as well; she ran out of space anyway."
        "She didn't bother returning to the spot she'd been placed in before."
        "Instead, she seated herself on the nearest book and waited for him to actually notice."
        show evan averted normal frown onlayer front
        with dissolve
        "It took him a few moments after he turned around to realize she'd moved about a foot away from where he'd originally left her."
    if gender == "male":
        "He looked to the foggy mirror."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "After a moment of debate, he struggled to their feet."
        "Something rather difficult, when your knees and ankles don't actually bend."
        $ pmood = 'True'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "He flexed his ghostly fingers (although the porcelain ones did anything but respond) and began to carefully etch a message on the mirror."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "It was a bit hard, as his joints refused to bend, but at last he got something remotely legible scribbled into the fog on the mirror."
        "Just as well; he ran out of space anyway."
        "He didn't bother returning to the spot he'd been placed in before."
        "Instead, he seated himself on the nearest book and waited for him to actually notice."
        show evan averted normal frown onlayer front
        with dissolve
        "It took him a few moments after he turned around to realize the doll had moved about a foot away from where he'd originally left him."
    if gender == "nb":
        "They looked to the foggy mirror."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "After a moment of debate, they struggled to their feet."
        "Something rather difficult, when your knees and ankles don't actually bend."
        $ pmood = 'True'
        $ pbrow = 'thoughtful'
        $ pmouth = 'True'
        "They flexed their ghostly fingers (although the porcelain ones did anything but respond) and began to carefully etch a message on the mirror."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "It was a bit hard, as their joints refused to bend, but at last they got something remotely legible scribbled into the fog on the mirror."
        "Just as well; they ran out of space anyway."
        "They didn't bother returning to the spot they'd been placed in before."
        "Instead, they seated themselves on the nearest book and waited for him to actually notice."
        show evan averted normal frown onlayer front at left
        with dissolve
        "It took him a few moments after he turned around to realize they'd moved about a foot away from where he'd originally left them."

    $ pmood = 'averted'
    $ pbrow = 'True'
    $ pmouth = 'True'

    "Of course, the reason it probably took him so long to notice was because he had his face buried into a book."
    
    show evan blink raised frown onlayer front at center
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    hide playerghost onlayer front
    with dissolve

    "He blinked slowly upon looking up."
    
    if gender == "female":
        "Looked to the floor, as though thinking she'd fallen off the table at some point."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "Since she wasn't there, he frowned and looked about."
    if gender == "male":
        "Looked to the floor, as though thinking he'd fallen off the table at some point."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "Since he wasn't there, he frowned and looked about."
    if gender == "nb":
        "Looked to the floor, as though thinking they'd fallen off the table at some point."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "Since they weren't there, he frowned and looked about."
        
    show evan blink normal frown onlayer front
    with dissolve
    
    "It took him a moment to spot the message scrawled on the foggy mirror."
    
    show evan blink raised frown at left onlayer front
    show doll at right onlayer front
    with dissolve
    
    if gender == "female":
        "Then another for his eyes to trail to the side to find her sitting on one of the books beside it."
    if gender == "male":
        "Then another for his eyes to trail to the side to find him sitting on one of the books beside it."
    if gender == "nb":
        "Then another for his eyes to trail to the side to find them sitting on one of the books beside it."

    e "..."
    
    show evan blink thoughtful frown onlayer front
    with dissolve

    e "Hm."
    
    show evan averted thoughtful frown onlayer front
    with dissolve

    e "That explains that."
    
    show evan blink normal frown onlayer front
    with dissolve

    "He didn't elaborate on what he meant by that, picking up the mirror to instead read the message."
    
    show playerghost at right onlayer front
    hide doll onlayer front
    show evan blink thoughtful frown onlayer front
    with dissolve

    "He was silent for a moment, before sitting it down and turning to look at the doll."
    
    show evan blink normal frown onlayer front
    with dissolve

    "They stared at each other."

    e "..."

    p "..."
    
    show evan halfshut quirked teeth onlayer front

    e "I'm unsure whether this has been an investment or a waste of money."
    
    show evan blink normal frown onlayer front
    $ pmood = 'halfshut'
    $ pbrow = 'angry'
    $ pmouth = 'True'
    with dissolve
    
    if gender == "female":
        "She felt like sticking her tongue out at him in response, but because he wouldn't be able to see it she wasn't sure it was a good idea."
        "She did it anyway."
    if gender == "male":
        "He felt like sticking his tongue out at him in response, but because he wouldn't be able to see it he wasn't sure it was a good idea."
        "She did it anyway."
    if gender == "nb":
        "They felt like sticking their tongue out at him in response, but because he wouldn't be able to see it they weren't sure it was a good idea."
        "They did it anyway."
        
    jump evan1done
        
label evan_good_1:
    
    $ pmood = 'squint'
    $ pbrow = 'thoughtful'
    $ pmouth = 'True'

    if gender == "female":
        "[name] scooted over slightly, almost falling over once or twice as they ended up having to move about a foot away."
        "A moment later, they began to use one of their stiff porcelain fingers to write a tiny message in the fog."
        $ pmood = 'True'
        "They debated being more direct, but then they decided it wasn't worth it."
    if gender == "male":
        "[name] scooted over slightly, almost falling over once or twice as they ended up having to move about a foot away."
        "A moment later, they began to use one of their stiff porcelain fingers to write a tiny message in the fog."
        $ pmood = 'True'
        "They debated being more direct, but then they decided it wasn't worth it."
    if gender == "nb":
        "[name] scooted over slightly, almost falling over once or twice as they ended up having to move about a foot away."
        "A moment later, they began to use one of their stiff porcelain fingers to write a tiny message in the fog."
        $ pmood = 'True'
        "They debated being more direct, but then they decided it wasn't worth it."

    "Politeness could get people far."
    
    $ pmood = 'averted'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    if gender == "female":
        "(Or so she had heard.)"
        $ pmood = 'True'
        "It took a few minutes, considering she was much clumsier without any joints to bend, but she managed to complete the message relatively well."
    if gender == "male":
        "(Or so he had heard.)"
        $ pmood = 'True'
        "It took a few minutes, considering he was much clumsier without any joints to bend, but he managed to complete the message relatively well."
    if gender == "nb":
        "(Or so they had heard.)"
        $ pmood = 'True'
        "It took a few minutes, considering they were much clumsier without any joints to bend, but they managed to complete the message relatively well."

    "It was at least rather legible."
    
    $ pmood = 'screwedup'
    $ pbrow = 'sad'
    $ pmouth = 'smile'
    
    if gender == "female":
        "Or... well, it was legible by her standards."
        $ pmood = 'averted'
        $ pbrow = 'raised'
        $ pmouth = 'True'
        "... which wasn't particularly high, considering she'd never had good writing even when she was alive."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "They debated scooting back to where she had been, but at the thought of falling over and possibly breaking something, they decided against it."
    if gender == "male":
        "Or... well, it was legible by their standards."
        $ pmood = 'averted'
        $ pbrow = 'raised'
        $ pmouth = 'True'
        "... which wasn't particularly high, considering he'd never had good writing even when he was alive."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "They debated scooting back to where he had been, but at the thought of falling over and possibly breaking something, they decided against it."
    if gender == "nb":
        "Or... well, it was legible by their standards."
        $ pmood = 'averted'
        $ pbrow = 'raised'
        $ pmouth = 'True'
        "... which wasn't particularly high, considering they'd never had good writing even when they were alive."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "They debated scooting back to where they had been, but at the thought of falling over and possibly breaking something, they decided against it."

    show evan halfshut thoughtful teeth onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    hide playerghost onlayer front
    with dissolve

    "Evan continued to flip through about three different books, muttering to himself quietly."
    
    show evan blink normal frown onlayer front
    with dissolve
    
    if gender == "female":
        "It took a while, but eventually he turned around and looked up at where she'd been seated a few minutes before."
    if gender == "male":
        "It took a while, but eventually he turned around and looked up at where he'd been seated a few minutes before."
    if gender == "nb":
        "It took a while, but eventually he turned around and looked up at where they'd been seated a few minutes before."

    show evan blink raised teeth onlayer front
    with dissolve

    "He paused."
    
    show evan averted onlayer front
    with dissolve
    
    if gender == "female":
        "After a moment, his eyes darted to the floor, as though he'd thought they'd fallen."
        show evan blink raised frown onlayer front
        with dissolve
        "Seeing as they weren't there, his gaze roamed for a moment, before eventually spotting the mirror they'd scrawled upon."
    if gender == "male":
        "After a moment, his eyes darted to the floor, as though he'd thought they'd fallen."
        show evan blink raised frown onlayer front
        with dissolve
        "Seeing as they weren't there, his gaze roamed for a moment, before eventually spotting the mirror they'd scrawled upon."
    if gender == "nb":
        "After a moment, his eyes darted to the floor, as though he'd thought they'd fallen."
        show evan blink raised frown onlayer front
        with dissolve
        "Seeing as they weren't there, his gaze roamed for a moment, before eventually spotting the mirror they'd scrawled upon."

    "He stared."
    
    "He turned his attention to the doll seated on the book next to it."
    
    show evan blink normal frown onlayer front
    with dissolve

    e "..."
    
    show evan blink thoughtful frown onlayer front
    with dissolve

    e "Hm."
    
    show evan averted onlayer front
    with dissolve

    e "That explains that."
    
    show evan blink normal frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'quirked'
    $ pmouth = 'True'
    with dissolve

    "He doesn't elaborate."
    
    show evan blink thoughtful frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "Setting his book down, he trailed over to the mirror and picked it up, brow creasing slightly as he inspected the message."

    show evan blink normal frown onlayer front
    with dissolve
    
    "A moment later, he slowly turned his attention back to the doll."

    "They stared at each other."

    e "..."

    p "..."
    
    show evan averted thoughtful frown onlayer front
    with dissolve

    e "... Hm."
    
    show evan blink thoughtful frown onlayer front
    with dissolve

    e "So you've already got a soul in you."
    
    if gender == "female":
        "She blinks back at him, although her porcelain eyes won't show it."
        "Her head doesn't quite move the right way for them to nod, but she does her best."
        show evan blink quirked frown onlayer front
        with dissolve
        "Evan regarded her for another moment, eyebrows raising."
    elif gender == "male":
        "He blinked back at Evan, although his porcelain eyes won't show it."
        "His head doesn't quite move the right way for him to nod, but he does his best."
        show evan blink quirked frown onlayer front
        with dissolve
        "Evan regarded him for another moment, eyebrows raising."
    elif gender == "nb":
        "They blink back at him, although their porcelain eyes won't show it."
        "Their head doesn't quite move the right way for them to nod, but they do their best."
        show evan blink quirked frown onlayer front
        with dissolve
        "Evan regarded them for another moment, eyebrows raising."

    show evan averted normal frown onlayer front
    with dissolve

    e "... This is rather awkward."
    
    show evan blink normal frown onlayer front
    $ pmood = 'screwedup'
    $ pbrow = 'sad'
    $ pmouth = 'smile'
    with dissolve

    p "Mmhm. A little.."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    
    if gender == "female":
        "He doesn't seem to have heard her."
        $ pmood = 'averted'
        $ pbrow = 'sad'
        $ pmouth = 'True'
        "Which is a shame, because her usual response would be to shrug or give a thumbs up."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "Neither of which she can actually do in this situation."
    elif gender == "male":
        "He doesn't seem to have heard him."
        $ pmood = 'averted'
        $ pbrow = 'sad'
        $ pmouth = 'True'
        "Which is a shame, because [name]'s usual response would be to shrug or give a thumbs up."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "Neither of which he can actually do in this situation."
    elif gender == "nb":
        "He doesn't seem to have heard them."
        $ pmood = 'averted'
        $ pbrow = 'sad'
        $ pmouth = 'True'
        "Which is a shame, because their usual response would be to shrug or give a thumbs up."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "Neither of which they can actually do in this situation."

    show evan averted normal frown onlayer front
    with dissolve
    
    "Evan glanced away, seemingly unsure what to do."
    
    show evan blink normal frown onlayer front
    with dissolve
    
    if gender == "female":
        "Eventually, he turned back to her and, after a brief pause, picked her up again."
    elif gender == "male":
        "Eventually, he turned back to the doll and, after a brief pause, picked him up again."
    elif gender == "nb":
        "Eventually, he turned back to them and, after a brief pause, picked them up again."
    
    "He actually took the time to clear a small spot on the other table nearby, although it was still incredibly cluttered."
    
    jump evan1done

label evan_true_1:
    
    $ pmood = 'closed'
    $ pbrow = 'raised'
    $ pmouth = 'True'

    "After a moment of consideration, [name] shrugged, although the doll didn't show the motion, and hastily managed to rub their porcelain hand clumsily through the fog to come up with a message."

    $ pmood = 'screwedup'
    $ pbrow = 'sad'
    $ pmouth = 'smile'

    if gender == "female":
        "She doesn't know why, but she manages to scrub a faintly silly message onto the mirror."
    elif gender == "male":
        "He doesn't know why, but he manages to scrub a faintly silly message onto the mirror."
    elif gender == "nb":
        "They don't know why, but they manage to scrub a faintly silly message onto the mirror."

    "Perhaps to cheer him up."
    
    $ pmood = 'averted'
    $ pbrow = 'raised'
    $ pmouth = 'True'

    "He does have the constant expression of someone who woke up on the wrong side of the bed."
    
    show evan averted normal frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    hide playerghost onlayer front
    with dissolve

    "Evan doesn't notice for a long while, too busy flipping through about three books at once."
    
    if gender == "female":
        "She waited patiently."
        show evan blink normal frown onlayer front
        with dissolve
        "Finally, he turned around and looked up to where she'd been seated earlier."
    elif gender == "male":
        "He waited patiently."
        show evan blink normal frown onlayer front
        with dissolve
        "Finally, he turned around and looked up to where he'd been seated earlier."
    elif gender == "nb":
        "They wait patiently."
        show evan blink normal frown onlayer front
        with dissolve
        "Finally, he turned around and looked up to where they'd been seated earlier."
    
    show evan blink raised teeth onlayer front
    with dissolve
    
    "He paused."
    
    show evan blink normal frown onlayer front
    with dissolve
    
    if gender == "female":
        "His eyes gravitated to the floor, searching for her."
        "Of course, he didn't find her there."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "He began to search for her, eyes roaming, his brow creasing slightly."
    elif gender == "male":
        "His eyes gravitated to the floor, searching for him."
        "Of course, he didn't find the doll there."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "He began to search for [name], eyes roaming, his brow creasing slightly."
    elif gender == "nb":
        "His eyes gravitated to the floor, searching for them."
        "Of course, he didn't find them there."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "He began to search for them, eyes roaming, his brow creasing slightly."
        
    show evan blink raised frown onlayer front
    with dissolve
    
    "It doesn't take him long to spot the mirror."
    
    show evan at left onlayer front
    show doll at right
    show playerghost at center
    with dissolve

    "It also doesn't take him that long to spot the doll seated next to it."
    
    $ pmood = 'squint'
    $ pbrow = 'sad'
    $ pmouth = 'smile'
    
    if gender == "female":
        "She waved."
        "Or at least flailed her arm as well as they could."
    elif gender == "male":
        "He waved."
        "Or at least flailed his arm as well as they could."
    elif gender == "nb":
        "They waved."
        "Or at least flailed their arm as well as they could."
        
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'smile'

    "He stared."
    
    show evan blink normal frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    e "..."
    
    show evan averted thoughtful frown onlayer front
    with dissolve

    e "Hm."
    
    show evan blink thoughtful frown onlayer front
    with dissolve

    e "That..."

    e "Explains that."
    
    show evan blink quirked frown onlayer front
    $ pmood = 'squint'
    $ pbrow = 'True'
    $ pmouth = 'smile'
    with dissolve
    
    if gender == "female":
        "He doesn't say what he means, but she ignored it and poked the mirror."
        "She wanted him to cheer up."
    elif gender == "male":
        "He doesn't say what he means, but [name] ignored it and poked the mirror."
        "He wanted Evan to cheer up."
    elif gender == "nb":
        "He doesn't say what he means, but they ignore it and poked the mirror."
        "They wanted him to cheer up."
        
    show evan blink normal frown onlayer front
    with dissolve

    e "..."
    
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'smile'

    "Evan silently stepped forward and picked up the mirror."

    "He stared at it for a moment."
    
    if gender == "female":
        show evan averted normal smile onlayer front
        with dissolve
        "Maybe, just maybe, she spotted his lips twitch upwards a tiny bit."
        show evan blink normal frown onlayer front
        with dissolve
        "He quickly schools his face back into a blank expression and turned back to her."
    elif gender == "male":
        show evan averted normal smile onlayer front
        with dissolve
        "Maybe, just maybe, he spotted his lips twitch upwards a tiny bit."
        show evan blink normal frown onlayer front
        with dissolve
        "He quickly schools his face back into a blank expression and turned back to [name]."
    elif gender == "nb":
        show evan averted normal smile onlayer front
        with dissolve
        "Maybe, just maybe, they spotted his lips twitch upwards a tiny bit."
        show evan blink normal frown onlayer front
        with dissolve
        "He quickly schools his face back into a blank expression and turned back to them."

    e "..."
    
    show evan closed raised teeth onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    e "Apologies."
    
    show evan blink normal teeth onlayer front
    with dissolve

    e "I hadn't realised there was already a soul inside."
    
    show evan blink normal frown onlayer front
    $ pmood = 'screwedup'
    $ pbrow = 'True'
    $ pmouth = 'smile'
    with dissolve

    p "'S okay."
    
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'True'
    
    if gender == "female":
        "After a moment of him looking at the doll, it occurred to her that he probably wasn't able to hear her."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "So she tried to give him a thumbs up."
        $ pmood = 'averted'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "This also failed, as she didn't have any opposable thumbs."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "So she ended up just looking at him."
    elif gender == "male":
        "After a moment of him looking at the doll, it occurred to [name] that he probably wasn't able to hear him."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "So he tried to give him a thumbs up."
        $ pmood = 'averted'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "This also failed, as the doll didn't have any opposable thumbs."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "So he ended up just looking at Evan."
    elif gender == "nb":
        "After a moment of him looking at the doll, it occurred to them that he probably wasn't able to hear them."
        $ pmood = 'screwedup'
        $ pbrow = 'True'
        $ pmouth = 'smile'
        "So they tried to give him a thumbs up."
        $ pmood = 'averted'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "This also failed, as they didn't have any opposable thumbs."
        $ pmood = 'True'
        $ pbrow = 'True'
        $ pmouth = 'True'
        "So they ended up just looking at him."
        
    show evan averted normal frown onlayer front
    $ pmood = 'averted'
    $ pbrow = 'thougtful'
    $ pmouth = 'True'
    with dissolve

    "The silence grew rather awkward."
    
    show evan blink normal frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve
    
    if gender == "female":
        "After a minute, he picked her up, using his hands to scoop up some of the clutter and a few broken quills on the table."
        "With some difficulty he dumps the stack unceremoniously on the floor and sets her down with surprising carefulness next to one of the glass devices."
    elif gender == "male":
        "After a minute, Evan picked him up, using his hands to scoop up some of the clutter and a few broken quills on the table."
        "With some difficulty he dumps the stack unceremoniously on the floor and sets him down with surprising carefulness next to one of the glass devices."
    elif gender == "nb":
        "After a minute, he picked them up, using his hands to scoop up some of the clutter and a few broken quills on the table."
        "With some difficulty he dumps the stack unceremoniously on the floor and sets them down with surprising carefulness next to one of the glass devices."

    "It seems to be blowing smoke rings now."
    
    show evan averted normal frown onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "After a long moment of the two just staring at each other, Evan turned back to the bookshelves."

    "A flick of his hands sent some of the earlier books quickly slotting back into relatively neat places on the shelves, and he was back to scanning, murmuring something about communication."

    "[name] listened to him talk about this before they simply shifted over to look at the many glowing things in the workshop."
    
    $ pmood = 'True'
    $ pbrow = 'raised'
    $ pmouth = 'teeth'

    if gender == "female":
        "A few potions spit out iridescent bubbles from time to time, and for a while her attention was completely captured as she watched them rise, do a little wiggly dance, and then pop."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "That is probably why she doesn't notice Evan continuing to shoot her small surreptitious glances."
    elif gender == "male":
        "A few potions spit out iridescent bubbles from time to time, and for a while his attention was completely captured as he watched them rise, do a little wiggly dance, and then pop."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "That is probably why he doesn't notice Evan continuing to shoot him small surreptitious glances."
    elif gender == "nb":
        "A few potions spit out iridescent bubbles from time to time, and for a while their attention was completely captured as they watched them rise, do a little wiggly dance, and then pop."
        show evan blink thoughtful frown onlayer front
        with dissolve
        "That is probably why they don't notice Evan continuing to shoot them small surreptitious glances."
        
    jump evan1done

label evan1done:
    
    show evan closed thoughtful teeth onlayer front
    $ pmood = 'True'
    $ pbrow = 'True'
    $ pmouth = 'True'
    with dissolve

    "After about fifteen minutes, Evan gave a small huff, pulling away and frowning at the clutter of books."

    show evan averted onlayer front
    with dissolve
    
    e "Where did I put it..."
    
    show evan halfshut onlayer front
    with dissolve

    e "... I'd better not tell the Dollmaker about this or she's going to get on my case about 'how I shouldn't be all cluttered' again..."

    show evan closed sigh onlayer front
    with dissolve

    "He spent a few minutes continuing to search for the book, before he eventually seemed to lose patience and sighed, picking up the doll."

    show evan averted normal frown onlayer front
    with dissolve

    e "I'll look for it tomorrow."

    p "..."
    
    $ pmood = 'halfshut'
    $ pbrow = 'thoughtful'
    $ pmouth = 'smile'

    p "Well, you certainly haven't changed much..."
    
    hide bg library int night onlayer back
    hide playerghost onlayer front
    hide doll onlayer front
    hide evan onlayer front
    with fade
    
    $ persistent.evanplaythrough += 1
    $ persistent.evanend = True
    
    jump evanpointcheck
    
label evanpointcheck:
    
    if persistent.evanplaythrough == 1:
        $ persistent.dollmakerachieve += 1
    else:
        pass
    
    return 